; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: ForthScript standard word library.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________

macro ForthBlock blockname {
  forth@block equ blockname
  forth@block@size equ blockname#.size

  label blockname byte

  macro forthword name \{
    \local nnnn

    macro endfw \\{
    \\local ..footer
      endp
      label ..footer byte
      db   name
      db   16-($-..footer) dup 0
      dd   nnnn - blockname
      \\purge endfw
    \\}
    \proc nnnn
  \}
}

macro EndForthBlock {
  forth@block@size = $ - forth@block
  restore forth@block, forth@block@size
  purge forthword
}



ForthBlock ForthStandardLib

; "->" word.
forthword '->'
begin
        or      [ebx+TForthContext.Status], forthAssignMode
        clc
        retn
endfw


forthword '+'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .error

        dec     ecx
        imul    ecx, [eax+TArray.itemsize]
        lea     ecx, [eax+TArray.array+ecx]

        mov     edx, [ecx+TFStackCell.value]
        sub     ecx, [eax+TArray.itemsize]
        add     [ecx+TFStackCell.value], edx
        mov     [ecx+TFStackCell.type], ftypeNumber

        mov     ecx, [eax+TArray.count]
        dec     ecx
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], ecx
        mov     [ebx+TForthContext.pAStack], edx
        clc
        return

.error:
        stc
        return
endfw


forthword '-'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .error

        dec     ecx
        imul    ecx, [eax+TArray.itemsize]
        lea     ecx, [eax+TArray.array+ecx]

        mov     edx, [ecx+TFStackCell.value]
        sub     ecx, [eax+TArray.itemsize]
        sub     [ecx+TFStackCell.value], edx
        mov     [ecx+TFStackCell.type], ftypeNumber

        mov     ecx, [eax+TArray.count]
        dec     ecx
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], ecx
        mov     [ebx+TForthContext.pAStack], edx
        clc
        return

.error:
        stc
        return
endfw



forthword '*'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .error

        dec     ecx
        imul    ecx, [eax+TArray.itemsize]
        lea     ecx, [eax+TArray.array+ecx]

        mov     edx, [ecx+TFStackCell.value]
        sub     ecx, [eax+TArray.itemsize]
        imul    edx, [ecx+TFStackCell.value]
        mov     [ecx+TFStackCell.value], edx
        mov     [ecx+TFStackCell.type], ftypeNumber

        mov     ecx, [eax+TArray.count]
        dec     ecx
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], ecx
        mov     [ebx+TForthContext.pAStack], edx
        clc
        return

.error:
        stc
        return
endfw



forthword '/'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .error

        dec     ecx
        imul    ecx, [eax+TArray.itemsize]
        lea     ecx, [eax+TArray.array+ecx]

        mov     edx, [ecx+TFStackCell.value]
        sub     ecx, [eax+TArray.itemsize]

        push    eax
        mov     eax, edx
        cdq
        idiv    [ecx+TFStackCell.value]
        mov     [ecx+TFStackCell.value], eax
        mov     [ecx+TFStackCell.type], ftypeNumber
        pop     eax

        mov     ecx, [eax+TArray.count]
        dec     ecx
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], ecx
        mov     [ebx+TForthContext.pAStack], edx
        clc
        return

.error:
        stc
        return
endfw


forthword '%'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .error

        dec     ecx
        shl     ecx, 3
        lea     ecx, [eax+TArray.array+ecx]

        mov     edx, [ecx+TFStackCell.value]
        sub     ecx, [eax+TArray.itemsize]

        push    eax
        mov     eax, edx
        cdq
        idiv    [ecx+TFStackCell.value]
        mov     [ecx+TFStackCell.value], eax
        mov     [ecx+TFStackCell.type], ftypeNumber
        pop     eax

        mov     ecx, [eax+TArray.count]
        dec     ecx
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], ecx
        mov     [ebx+TForthContext.pAStack], edx
        clc
        return

.error:
        stc
        return
endfw




forthword 'swap'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 2
        jb      .finish         ; jb == jc

        shl     ecx, 3
        add     ecx, [ebx+TForthContext.pAStack]
;        lea     ecx, [ecx+TArray.array-2*sizeof.TFStackCell] TArray.array = 2*sizeof.TFStackCell

        mov     eax, [ecx+TFStackCell.value]
        mov     edx, dword [ecx+TFStackCell.type]
        xchg    eax, [ecx+sizeof.TFStackCell+TFStackCell.value]
        xchg    edx, dword [ecx+sizeof.TFStackCell+TFStackCell.type]
        mov     [ecx+TFStackCell.value], ecx
        mov     dword [ecx+TFStackCell.type], edx

        clc
.finish:
        return
endfw



forthword 'dup'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        cmp     ecx, 1
        jb      .finish         ; jb == jc

        shl     ecx, 3
        add     ecx, [ebx+TForthContext.pAStack]
        lea     ecx, [ecx+TArray.array-sizeof.TFStackCell]

        stdcall AddArrayItem, [ebx+TForthContext.pAStack]
        mov     [ebx+TForthContext.pAStack], edx
        jc      .finish

        pushd   [ecx+TFStackCell.value] dword [ecx+TFStackCell.type]
        popd    dword [eax+TFStackCell.type] [eax+TFStackCell.value]

        clc
.finish:
        return
endfw



forthword 'label'
begin


endfw




forthword 'jump'
begin


endfw




forthword '?branch'
begin


endfw



; : if +1 ?branch ;
forthword 'if'
begin


endfw



; : else label not +1 ?branch ;
forthword 'else'
begin


endfw


; : then label ;
forthword 'then'
begin


endfw





; : do label ;
forthword 'do'
begin


endfw


; : loop -1 ?branch ;
forthword 'loop'




forthword '.'
begin
        mov     eax, [ebx+TForthContext.pAStack]
        mov     ecx, [eax+TArray.count]
        jecxz   .exit

        dec     ecx
        mov     edx, ecx

        imul    ecx, [eax+TArray.itemsize]
        lea     ecx, [eax+TArray.array+ecx]

        cmp     [ecx+TFStackCell.type], ftypeNumber
        jne     .printstring

        stdcall NumToStr, [ecx+TFStackCell.value], ntsSigned or ntsDec
        mov     [ecx+TFStackCell.value], eax
        mov     [ecx+TFStackCell.type], ftypeStringFree

.printstring:
        stdcall StrPtr, [ecx+TFStackCell.value]
        stdcall Output, eax

        cmp     [ecx+TFStackCell.type], ftypeStringFree
        jne     .popit

        stdcall StrDel, [ecx+TFStackCell.value]

.popit:
        stdcall DeleteArrayItem, [ebx+TForthContext.pAStack], edx
        mov     [ebx+TForthContext.pAStack], edx

.exit:
        clc
        return

endfw



forthword 'crlf'
begin
        stdcall Output, sCRLF
        clc
        return
endfw



EndForthBlock



sCRLF db 13, 10, 0, 0

