iglobal
FreshEditKeyScript file 'keyboard.forth'
                   dd   0
endg



ForthBlock __FreshEditForthWords


forthword 'Left'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx

        mov     ecx, [esi+TFreshEdit._xCaret]
        jecxz   .exit

        dec     ecx
        mov     [esi+TFreshEdit._xCaret], ecx

        mov     ecx, [esi+TFreshEdit._LeftColumn]
        cmp     [esi+TFreshEdit._xCaret], ecx
        ja      .exit

        mov     ecx, [esi+TFreshEdit._cols]
        shr     ecx, 2
        test    ecx, ecx
        jnz     @f
        inc     ecx
@@:
        sub     [esi+TFreshEdit._LeftColumn], ecx
        jns     @f

        mov     [esi+TFreshEdit._LeftColumn], 0
@@:

.exit:
        clc
        pop     ecx
        return
endfw



forthword 'Right'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx edx

        mov     ecx, [esi+TFreshEdit._xCaret]
        inc     ecx
        mov     [esi+TFreshEdit._xCaret], ecx

        mov     edx, [esi+TFreshEdit._cols]
        add     edx, [esi+TFreshEdit._LeftColumn]
        cmp     ecx, edx
        jae     .scroll_left

.finish:
        clc
        pop     edx ecx
        return

.scroll_left:
        mov     ecx, [esi+TFreshEdit._cols]
        shr     ecx, 2
        test    ecx, ecx
        jnz     @f
        inc     ecx
@@:
        add     [esi+TFreshEdit._LeftColumn], ecx
        jmp     .finish
endfw



forthword 'Up'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx

        cmp     [esi+TFreshEdit._yCaret], 0
        je      .exit

        dec     [esi+TFreshEdit._yCaret]

        mov     ecx, [esi+TFreshEdit._TopLine]
        cmp     [esi+TFreshEdit._yCaret], ecx
        jl      .scrollup

.exit:
        clc
        pop     ecx
        return

.scrollup:
        mov     ecx, [esi+TFreshEdit._TopLine]
        jecxz   .exit
        dec     [esi+TFreshEdit._TopLine]
        jmp     .exit
endfw



TFreshEdit.__CommandScrollLockUp:
forthword 'ScrLockUp'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx

        cmp     [esi+TFreshEdit._yCaret], 0
        je      .exit

        dec     [esi+TFreshEdit._yCaret]

        mov     ecx, [esi+TFreshEdit._TopLine]
        jecxz   .exit

        dec     [esi+TFreshEdit._TopLine]

.exit:
        clc
        pop     ecx
        return
endfw



forthword 'ScrollUp'
begin
        push    ecx
        cmp     [esi+TFreshEdit._TopLine], 0
        je      .finish
        dec     [esi+TFreshEdit._TopLine]
.finish:
        clc
        pop     ecx
        return
endfw




TFreshEdit.__CommandDown:
forthword 'Down'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx edx

        mov     edx, [esi+TFreshEdit._pIndex]

        mov     ecx, [esi+TFreshEdit._yCaret]
        inc     ecx
        cmp     ecx, [edx+TArray.count]
        jae     .exit

        mov     [esi+TFreshEdit._yCaret], ecx

        mov     ecx, [esi+TFreshEdit._TopLine]
        add     ecx, [esi+TFreshEdit._rows]
        cmp     [esi+TFreshEdit._yCaret], ecx
        jae     .scrolldn

.exit:
        clc
        pop     edx ecx
        return

.scrolldn:
        mov     ecx, [esi+TFreshEdit._TopLine]
        inc     ecx
        cmp     ecx, [edx+TArray.count]
        jae     .exit

        mov     [esi+TFreshEdit._TopLine], ecx
        jmp     .exit
endfw




TFreshEdit.__CommandScrollLockDown:
forthword 'ScrLockDown'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ecx edx

        mov     edx, [esi+TFreshEdit._pIndex]

        mov     ecx, [esi+TFreshEdit._yCaret]
        inc     ecx
        cmp     ecx, [edx+TArray.count]
        jae     .exit

        mov     [esi+TFreshEdit._yCaret], ecx

        mov     ecx, [esi+TFreshEdit._TopLine]
        inc     ecx
        add     ecx, [esi+TFreshEdit._rows]
        cmp     ecx, [edx+TArray.count]
        ja      .exit

        inc     [esi+TFreshEdit._TopLine]

.exit:
        clc
        pop     edx ecx
        return

endfw



forthword 'ScrollDown'
begin
        push    ecx edx
        mov     edx, [esi+TFreshEdit._pIndex]

        mov     ecx, [esi+TFreshEdit._TopLine]
        inc     ecx
        add     ecx, [esi+TFreshEdit._rows]
        cmp     ecx, [edx+TArray.count]
        ja      .finish

        inc     [esi+TFreshEdit._TopLine]

.finish:
        clc
        pop     edx ecx
        return

endfw





forthword 'PgDown'
begin
        push    ecx
        mov     ecx, [esi+TFreshEdit._rows]

@@:
        call    TFreshEdit.__CommandScrollLockDown
        jc      .finish
        loop    @b

.finish:
        pop     ecx
        return
endfw



forthword 'PgUp'
begin
        push    ecx
        mov     ecx, [esi+TFreshEdit._rows]
@@:
        call    TFreshEdit.__CommandScrollLockUp
        jc      .finish
        loop    @b

.finish:
        pop     ecx
        return
endfw




forthword 'LineBegin'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        cmp     [esi+TFreshEdit._xCaret], 0
        je      .end

        mov     [esi+TFreshEdit._xCaret], 0

        cmp     [esi+TFreshEdit._LeftColumn], 0
        je      .end

        mov     [esi+TFreshEdit._LeftColumn], 0

.end:
        clc
        return
endfw





forthword 'LineEnd'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        push    ebx ecx

        mov     ecx, [esi+TFreshEdit._yCaret]
        mov     ebx, [esi+TFreshEdit._pIndex]

        cmp     ecx, [ebx+TArray.count]
        jae     .end

        mov     ecx, [ebx+TArray.array+4*ecx]

        shl     ecx, TEditorLine.shift
        add     ecx, [esi+TFreshEdit._pLines]
        add     ecx, TArray.array

        stdcall StrLenUtf8, [ecx+TEditorLine.Data], -1

        cmp     [esi+TFreshEdit._xCaret], eax
        je      .end

        mov     [esi+TFreshEdit._xCaret], eax

        mov     ecx, [esi+TFreshEdit._cols]
        lea     ecx, [ecx*3]
        shr     ecx, 2

        cmp     eax, [esi+TFreshEdit._LeftColumn]
        jg      .leftok

        sub     eax, ecx
        jns     @f
        xor     eax, eax
@@:
        mov     [esi+TFreshEdit._LeftColumn], eax
        jmp     .end

.leftok:
        add     ecx, [esi+TFreshEdit._LeftColumn]
        sub     ecx, [esi+TFreshEdit._xCaret]
        jge     .end

        sub     [esi+TFreshEdit._LeftColumn], ecx

.end:
        clc
        pop     ecx ebx
        return
endfw



TFreshEdit.__CommandBeginOfScreen:
forthword 'ScreenBegin'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        mov     eax, [esi+TFreshEdit._TopLine]
        cmp     eax, [esi+TFreshEdit._yCaret]
        je      .end

        mov     [esi+TFreshEdit._yCaret], eax
.end:
        return
endfw


forthword 'ScreenEnd'
begin
        call    TFreshEdit.__FitCaretInWindow
        jz      @f

        stc
        return

@@:
        call    TFreshEdit.__CommandBeginOfScreen

        mov     ecx, [esi+TFreshEdit._rows]
        jecxz   .end
        dec     ecx
        jecxz   .end

@@:
        call    TFreshEdit.__CommandDown
        jc      .end
        loop    @b

.end:
        return
endfw


forthword 'FileBegin'
begin

        return
endfw


forthword 'FileEnd'
begin

        return
endfw


forthword 'WordPrev'
begin

        return
endfw


forthword 'WordNext'
begin

        return
endfw



forthword 'GetSelMode'
begin

        return
endfw



forthword 'SetSelMode'
begin

        return
endfw



forthword 'GetInsMode'
begin

        return
endfw


forthword 'SetInsMode'
begin

        return
endfw


forthword 'GetRowCount'
begin

        return
endfw



forthword 'ToggleSelMode'
begin
        mov     eax, [esi+TFreshEdit._SelMode]
        inc     eax
        cmp     eax, 2
        jbe     @f
        xor     eax, eax
@@:
        mov     [esi+TFreshEdit._SelMode], eax
        return
endfw



EndForthBlock

;_________________________________________________________________________________________
