; ====================================
; | Fasm Basic ver 0.10 Beta  oct 09 |
; ====================================

; QBASIC.inc was written by rCX (converted to run on DexOS, by Dex)
; added to by TonyMac & now added to by Steve, who also changed the name

Beep            fix BEEP        ; Done
beep            fix BEEP
cls             fix CLS         ; Done for text mode, oops need to put cursor in right spot
Cls             fix CLS
color           fix COLOR       ; Done in text mode
Color           fix COLOR
end_program     fix END_PROGRAM ; Done
End_program     fix END_PROGRAM
End_Program     fix END_PROGRAM
gosub           fix GOSUB       ; Done
Gosub           fix GOSUB
GoTo            fix GOTO        ; Done
Goto            fix GOTO
goto            fix GOTO
input           fix INPUT       ; Done (just does strings, at this time)
Input           fix INPUT
let             fix LET         ; Needs lots of work, not included at this time
Let             fix LET
locate          fix LOCATE      ; Done
Locate          fix LOCATE
peek            fix PEEK        ; Done
Peek            fix PEEK
poke            fix POKE        ; Done
Poke            fix POKE
print           fix PRINT       ; Done
Print           fix PRINT
return          fix RETURN      ; Done
Return          fix RETURN
reboot          fix REBOOT      ; Done
Reboot          fix REBOOT
In_Port         fix IN_PORT     ; Done (need to redo so it works with 8, 16 & 32)
In_port         fix IN_PORT
in_port         fix IN_PORT
Out_Port        fix OUT_PORT    : Done ( need to redo so it works with 8, 16 & 32)
Out_port        fix OUT_PORT
out_port        fix OUT_PORT
Sleep           fix SLEEP       ; Done
sleep           fix SLEEP
Screen          fix SCREEN      ; Done in text. enters graphics modes
screen          fix SCREEN
Sound           fix SOUND       ; done (crash if below min, need to add a minimum check)
sound           fix SOUND
def             fix DEF         ; need to work on strings, make definable size and pad out
Def             fix DEF
cursoron        fix CURSORON    ; done
Cursoron        fix CURSORON
CursorOn        fix CURSORON
cursoroff       fix CURSOROFF   ; done
Cursoroff       fix CURSOROFF
CursorOff       fix CURSOROFF
pause           fix PAUSE       ; done
Pause           fix PAUSE
cursor          fix CURSOR      ; done
Cursor          fix CURSOR

 ;--------------------;
 ; Set up DexOS stuff ;
 ;--------------------;

use32
        ORG 0x400000           ; where our program gets loaded
        jmp @f                 ; jump over ver tag
        db 'DEX2'              ; Mark it a DexOS ver3 file.
@@:
        mov ax,18h             ; set ax to nonlinear base
        mov ds,ax              ; set ds to nonlinear base
        mov es,ax              ; set es to nonlinear base.
        mov edi,Functions      ; address of jump table (in dex.inc)
        mov ax,0x0a00          ; load table wih DexOS function addresses
        int 40h

        jmp   SkipQBASIC       ; jump over all the macros

 ;---------------------------------;
 ; Dam, a run time lib             ;
 ; not sure how to get around this ;
 ;---------------------------------;
_grfxLocate:
        cmp   [_grfxMode],byte 15
        je    @f
        cmp   al,80             ; did they put in to high a x for mode 0,14
        jb    @f
        ret                     ; out of range do nothing
@@:
        cmp   al,132            ; is the x to high for mode 15
        jb    @f
        ret                     ; out of range do nothing
@@:
        cmp   [_grfxMode],byte 14
        je    @f
        cmp   ah,25             ; y to high for mode 0
        jb    @f
        ret                     ; out of range do nothing
@@:
        cmp   [_grfxMode],byte 15
        je    @f
        cmp   ah,50             ; y to high for mode 14
        jb    @f
        ret                     ; out of range do nothing
@@:
        cmp   ah,60             ; y to high for mode 15
        jb    @f
        ret                     ; out of range do nothing
@@:
        mov   [_grfxScreen_x],al
        mov   [_grfxScreen_y],ah
_grfxLocate2:
        pushad
        xor   ebx,ebx
        mov   bl,[_grfxScreen_x]; figure out where the cursor is now
        mov   ecx,ebx
        mov   bl,[_grfxScreen_y]
        mov   eax,[_grfxLL]     ; line length (dword, half color half char)
        shl   eax,1             ; line length (in bytes of char)
        mul   bx
        add   eax,ecx
        mov   edx,0x3d4         ; video card register index port
        mov   ecx,eax
        mov   al,0x0f           ; set for cursor register (lsb)
        out   dx,al
        mov   eax,ecx           ; cursor location
        add   edx,1             ; video card register port
        out   dx,al
        mov   al,0x0e           ; set for cursor register (msb)
        sub   edx,1             ; video card registr index port
        out   dx,al
        mov   al,ch             ; cursor location
        add   edx,1             ; video card reg port
        out   dx,al
        popad
        ret

_grfxPrintString:
        pop   esi                       ; get address of data off the stack
        push  eax
_grfxPrintString_Loop:
        lodsb                           ; load al, inc esi to next char
        cmp   al,0                      ; 0x00 = end of string
        jne   @f
        call  _grfxLocate2              ; End of string so place cursor and leave
        pop   eax
        jmp   esi                       ; out of data so this address should be next instruction
@@:
        cmp   al,0x0d                   ; 0x0d = CR ( = \n )
        je    @f
        call  _grfxPrintChar            ; not a control, so must need printing
        jmp   _grfxPrintString_Loop
@@:
        call  _grfxCR                   ; do the CR (next line)
        jmp   _grfxPrintString_Loop

_grfxCR:
        push  eax
        mov   [_grfxScreen_x],byte 0
        mov   ah,[_grfxScreen_y]
        cmp   ah,24                     ; no reason to scroll if less then 24th line
        jb    _grfxCR_NoScroll
        cmp   [_grfxMode],byte 0
        je    @f
        cmp   ah,49                     ; less then line 49 and mode 14 or 15, no reason to scroll
        jb    _grfxCR_NoScroll
        cmp   [_grfxMode],byte 14
        je    @f
        cmp   ah,59                     ; mode 15 and less then 59, no reason to scroll
        jb    _grfxCR_NoScroll
@@:
        push  ecx
        push  esi
        push  edi
        mov   edi,[_grfxScreen]         ; Address of the screen
        mov   esi,edi
        movzx eax,byte [_grfxLL]        ; line size (in dword)
        shl   eax,2                     ; make it bytes
        add   esi,eax                   ; address of 2nd line to be new 1st line
        movzx ecx,word [_grfxCls]       ; screen size
        cli                             ; can't have something writing to screen during a scroll
        rep   movsd                     ; move the text
        sti
        pop   edi
        pop   esi
        pop   ecx
        pop   eax
        ret
_grfxCR_NoScroll:                       ; don't need to scroll, so just go down one line
        add   [_grfxScreen_y],byte 1
        pop   eax
        ret

_grfxPrintChar:
        pushad
        push  ax                        ; put char in a safe place
        movzx eax,word [_grfxLL]        ; line size (dword)
        movzx ebx,byte [_grfxScreen_y]
        shl   eax,1                     ; line size (word)
        mul   bx                        ; number of lines times line size
        movzx ebx,byte [_grfxScreen_x]
        add   ebx,eax                   ; screen mem moves (word size)
        shl   ebx,1                     ; screen mem moves (byte size)
        add   ebx,[_grfxScreen]         ; add that to the screen base mem location
        pop   ax                        ; char to print
        mov   ah,[_grfxColor]           ; the color text we want
        mov   [ebx],ax                  ; put the text and color on screen
        mov   al,[_grfxLL]              ; load up the line size
        shl   al,1                      ; convert line size to bytes of text
        add   [_grfxScreen_x],byte 1    ; set new text location
        cmp   [_grfxScreen_x],al        ; is new x location to large
        jb    @f
        call  _grfxCR
@@:
        popad
        ret


 ;-----------------------;
 ; The Fasm Basic macros ;
 ;-----------------------;

;___________CLS______________________
macro CLS clrmode,_opt2,_opt3           ; just for textmode right now
{
        push ecx
        push eax
        push edx
        push edi
        mov  edi,[_grfxScreen]          ; start address of screen fill
        if clrmode eq
        else if clrmode eq 4            ; start cls one line down
                movzx eax,word [_grfxLL]
                shl   eax,2
                add   edi,eax
        else if clrmode eq 5            ; Start cls two lines down
                movzx eax,word [_grfxLL]
                mov   edx,12
                mul   edx
                add   edi,eax
        end if
        if _opt2 eq
                mov  eax,0x0f200f20     ; char to fill screen with (0f=color 20=blank)
        else
                mov  ah,_opt3           ; Background color 0-7
                shl  ah,4
                add  ah,_opt2           ; Text color 0-31
                cmp  ah,0               ; was there no color set
                jne  @f
                        mov  ah,0x0f    ; set a color
                @@:
                mov  al," "             ; a blank space
                mov  cx,ax              ; now fill up eax
                shl  eax,16
                mov  ax,cx
        end if
        movzx ecx,word [_grfxCls]       ; how many dwords to write
        if clrmode in <2,4>
                sub  cx,[_grfxLL]       ; leave 1 line uncleared
        else if clrmode in <3,5>
                sub  cx,[_grfxLL]       ; leave 3 lines uncleared
                sub  cx,[_grfxLL]
                sub  cx,[_grfxLL]
        end if
        cli                             ; can't be changing the screen while clearing it
        rep stosd                       ; put blanks on screen
        sti
        pop edi
        pop edx
        pop eax
        pop ecx
        Locate 0,0
}

;___________CURSOR__________________
macro CURSOR option*            ;Turns on cursor if option = TRUE, off if option = FALSE.
{
        pushf
        pusha
        mov   ch,0x0b           ;Turns on cursor if option = TRUE
        mov   cl,0x0c
        if option = FALSE
                mov   ch,0x1c   ;turns it off if option = FALSE.
                mov   cl,0x1b
        end if
        mov   ah,1              ;Set cursor status
        call  [RealModeInt10h]
        popa
        popf
}


;_____________CURSOROFF________________
macro CURSOROFF
{
   push  cx
   push  ax
   mov   ch,00110000b
   mov   cl,00010000b
   mov   ah,01h
   call  [RealModeInt10h]
   pop   ax
   pop   cx
}

;_______________CURSORON_______________
macro CURSORON
{
   push  cx
   push  ax
   mov   ch,00010000b
   mov   cl,00010000b
   mov   ah,01h
   call  [RealModeInt10h]
   pop   ax
   pop   cx
}

;_______________PAUSE__________________
macro PAUSE time
{
   push  ax
   mov   ax,time
   call  [SetDelay]
   pop   ax
}

;________________COLOR_________________
macro COLOR _opt1,_opt2,_opt3

{
        push  eax
        push  ebx
        if _opt2 eq
                   mov  al,0
        else
                   mov  al,_opt2          ; Background color 0-7
                   shl   al,4
        end if
        add   al,_opt1                    ; Text color 0-31
        mov   [_grfxColor],al             ; Set the text color
        if _opt3 eq
        else
                   mov   ah,0
                   mov   al,_opt3         ; Border color 0-3Fh
                   shl   eax,16           ; top 16 of eax are bx in 16 bit dos mode
                   mov   ax,0B00h         ; Set border color
                   call  [RealModeInt10h]
        end if
        pop   ebx
        pop   eax
}

;_________________END___________________
macro END_PROGRAM
{
        call  [SetDex4uFonts]
        mov   cx,0
        call  [InterruptTimer]; restore timer
        ret
include 'Dex.inc'             ; Dex inc file
}

;_______________LOCATE_________________
macro LOCATE row,col
{
        push eax
        local  .temp
        if col eq ah
                mov  .temp,byte col
                mov  ah,row
                mov  al, .temp
        else
                mov  ah,row
                mov  al,col
        end if
        call _grfxLocate
        pop  eax
}


;_______________PRINT_________________
macro PRINT [String]
{
        if String eqtype ""
                local .a
                        push esi
                        call _grfxPrintString   ; call print & push address of data to stack
                        .a db String,0          ; String to print
                        pop  esi
        else if String eq /n
                local .a
                        push esi
                        call _grfxPrintString
                        .a db 13,0
                        pop  esi
        else if String eq /N
                local .a
                        push esi
                        call _grfxPrintString
                        .a db 13,0
                        pop  esi
        else
                local .NotDone
                local .Done
                local .Start
                local .NotString
                        push esi
                        pushad
                        mov  esi,String
                        cmp  [esi],byte 9       ; is it a string varable
                        jne  .NotString
                        add  esi,3
                @@:
                        mov   al,[esi]
                        add   esi,1
                        cmp   al,0              ; 0x00 = end of string
                        je    .Done
                        call  _grfxPrintChar    ; not a control, so must need printing
                        jmp   @b
                .NotString:
                        mov   ebx,String
                        cmp   [ebx],byte 0      ; is data a byte
                        jne   @f
                        add   ebx,1
                        movzx eax,byte [ebx]    ; store it in eax (make it a dword)
                        jmp   .Start
                @@:
                        cmp   [ebx],byte 1      ; is data a word
                        jne    @f
                        add   ebx,1
                        movzx eax,word [ebx]    ; store it in eax (make it a dword)
                        jmp   .Start
                @@:
                        add   ebx,1             ; data must be a dword
                        mov   eax,[ebx]         ; store it in eax
                .Start:
                        mov  ebx,1000000000           ; 32 bit can only be 10 ascii digits
                @@:
                        cmp  eax,0                    ; need to check if it's 0
                        jnz  @f                       ; if it's not 0 go figure out what it is
                        mov  al,"0"                   ; put ascii 0 in al
                        call _grfxPrintChar           ; and write it to screen
                        jmp  .Done
                @@:
                        mov  ecx,1                    ; a flag to blow off leading 0's
                        mov  esi,10                   ; we are working in base 10
                .NotDone:
                        cmp  ebx,0                    ; are we done counting off digits
                        jnz  @f
                        jmp  .Done
                @@:
                        cmp  eax,ebx                  ; is this digit a non zero one
                        jb   @f
                        xor  ecx,ecx                  ; clear the flag to start printing 0's
                @@:
                        mov  edx,0
                        div  ebx                      ; digit to write ends up in al, rest of number in edx
                        cmp  ecx,1                    ; do we need to write yet
                        je   @f
                        add  al,"0"                   ; make al an ASCII digit
                        call _grfxPrintChar           ; and write it to screen
                @@:
                        push edx                      ; put the rest of number in a safe place
                        xor  edx,edx
                        mov  eax,ebx                  ; put the digit count in eax
                        div  esi                      ; reduce digit count one place
                        mov  ebx,eax                  ; digit count back in ebx
                        pop  eax                      ; get number back in eax
                        jmp  .NotDone                 ; try next digit
                .Done:
                popad
                pop   esi
                call  _grfxLocate2      ; End of string so place cursor and leave
        end if
}

;_______________INPUT_________________
Macro INPUT [String]
{
        if String eqtype ""
                local .a
                        push esi
                        call _grfxPrintString
                        .a db String,0
                        pop  esi
        else if String eq /n
                local .a
                        push esi
                        call _grfxPrintString
                        .a db 13,0
                        pop  esi
        else if String eq /N
                local .a
                        push esi
                        call _grfxPrintString
                        .a db 13,0
                        pop  esi
        else
                local .loop
                local .done
                push edi
                push eax
                mov  edi,String
                cmp  [edi],byte 9       ; is the varable a string
                jne  .done              ; major bug if they don't use a string
                add  edi,3              ; skip over varable type and size
        .loop:
                call [WaitForKeyPress]  ; need to not let them enter to much
                cmp  al,13
                je   .done
                mov  [edi],al           ; <----need to make a string move
                inc  edi
                call _grfxPrintChar
                call _grfxLocate2
                jmp  .loop
        .done:
                mov byte [edi], 0        ;zero-terminate the string
                pop  eax
                pop  edi
        end if
}

;_______________SCREEN_________________
macro SCREEN mode         ;need to add active and working page....
{
        push eax
        mov  ah,0h
        mov  [_grfxMode],byte mode

        if mode = 0
                mov  al,3h                       ; text 80 x 25
                call [RealModeInt10h]
                mov  [_grfxScreen],dword 0xb79e0 ; start address of screen
                mov  [_grfxCls],word 1000        ; size of screen (in dword)
                mov  [_grfxLL],word 40           ; screen width (in dword)
        else if mode = 1
                mov  al,04h
                call [RealModeInt10h]
        else if mode = 2
                mov  al,06h
                call [RealModeInt10h]
        else if mode = 7
                mov  al,0Dh
                call [RealModeInt10h]
        else if mode = 8
                mov  al,0Eh
                call [RealModeInt10h]
        else if mode = 9
                mov  al,10h
                call [RealModeInt10h]
        else if mode = 11
                mov  al,11h
                call [RealModeInt10h]
        else if mode = 12
                mov  al,12h
                call [RealModeInt10h]
        else if mode = 13
                mov  al,13h
                call [RealModeInt10h]
        else if mode = 14                        ; DexOS text 80 x 50
                call [SetDex4uFonts]
                mov  [_grfxScreen],dword 0xb79e0 ; start address of screen
                mov  [_grfxCls],word 2000        ; screen size
                mov  [_grfxLL],word 40           ; screen width
        else if mode = 15                        ; text 132 x 60
                push cx
                mov  cx,0x10c
                call [SetVesaMode]
                mov  [_grfxScreen],dword 0xb79e0 ; Start address of screen
                mov  [_grfxCls],word 3960        ; screen size
                mov  [_grfxLL],word 66           ; screen width
                pop  cx
                mov  [_grfxScreen],dword 0xb79e0 ; start address of screen
        ;---------256 color modes-------------
        else if mode = 100
                push  ecx
                push  edi
                mov   cx,0x4100 ; gfx 640 x 400
        else if mode = 101
                push  ecx
                push  edi
                mov   cx,0x4101 ; gfx 640 x 480
        else if mode = 103
                push  ecx
                push  edi
                mov   cx,0x4103 ; gfx 800 x 600
        else if mode = 105
                push  ecx
                push  edi
                mov   cx,0x4105 ; gfx 1024 x 768
        else if mode = 107
                push  ecx
                push  edi
                mov   cx,0x4101 ; gfx 1280 x 1024 ; oops need to fix
        ;---------32bit color modes-------------
        else if mode = 110
                push  ecx
                push  edi
                mov   cx,0x410f ; gfx 320 x 200
        else if mode = 112
                push  ecx
                push  edi
                mov   cx,0x410f ; gfx 640 x 480
        else if mode = 115
                push  ecx
                push  edi
                mov   cx,0x4115 ; gfx 800 x 600
        else if mode = 118
                push  ecx
                push  edi
                mov   cx,0x4118 ; gfx 1024 x 768
        else if mode = 119
                push  ecx
                push  edi
                mov   cx,0x411B ; gfx 1280 x 1024
        end if
        if mode in <100,101,103,105,107,110,112,115,118,119>
                call  [SetVesaMode]               ; set the mode
                call  [LoadVesaInfo]              ; load vesa into to esi
                mov   edi,VESA_Info               ; where to put vesa info
                mov   ecx,193                     ; size of vesa info
                cld                               ; clear direction flag, string instructions forward
                cli                               ; turn off int
                rep   movsd                       ; copy the vesa info 32 bits at a time
                sti                               ; turn on int
                mov   edi,[ModeInfo_PhysBasePtr]  ; location of vid memory
                sub   edi,0x621                   ; magic number for DexOS offset
                mov   [_grfxScreen],edi           ; start of vid mem.
                pop   edi
                pop   ecx
        end if
        if mode in <0,14,15>                      ; if we are in text mode
                xor   eax,eax                     ; put cursor at 0,0
                call  _grfxLocate
        end if
        pop eax
}

;________________SLEEP_________________
macro SLEEP time
{
;Output:
;       ah = BIOS scancode of key pressed
;       al = ASCII character of key pressed
   push ax
   if time eq
      call  [WaitForKeyPress]
   else
      mov   ax,time
      call  [SetDelay]
   end if
   pop ax
}

;________________GOTO__________________
Macro GOTO _op1
{
        jmp _op1
}

;________________GOSUB_________________
Macro GOSUB _subname
{
        call _subname
}

;________________RETURN________________
Macro RETURN
{
        ret
}

;________________PEEK__________________
Macro PEEK _op1
{
        mov al, [_op1]          ;put value of address in eax
}

;________________POKE__________________
Macro POKE _op1, _op2           ; need to check type, so they can use a varable not just number
{
        push edx
        mov edx, _op1
        mov byte [edx], _op2    ;put _op2 into address _op1
        pop edx
}

;________________OUT___________________
Macro OUT_PORT _op1, _op2            ; need to check type, so they can use a varable not just number
{
        push dx
        push al
        mov dx, _op1
        mov al, _op2
        out word dx,al          ;put _op2 into port _op1
        pop al
        pop dx
}

;________________IN____________________
Macro IN_PORT _op1
{
        mov al, [_op1]          ;put value of address in eax
}

;________________REBOOT________________
Macro REBOOT
{
        call [ExitSystem]
}

;________________SOUND_________________
Macro SOUND _opt1,_opt2
{
        push  ax
        push  bx
        push  dx
        mov   al,0xB6           ; Init channel 2 of timer
        out   0x43,al
        mov   dx,0x12           ; clock frequency /
        mov   ax,0x34DD
        mov   bx,_opt1          ; Frequency
        div   bx                ; = timer clock ticks
        out   0x42,al           ; Load timer
        mov   al,ah
        out   0x42,al
        in    al,0x61           ; get value port 61h
        or    al,00000011b      ; Set bits to turn speaker on
        out   0x61,al
        mov   ax,_opt2          ; sound duration in clock ticks
        call  [SetDelay]
        in    al,0x61           ; turn off speaker
        and   al,11111100b
        out   0x61,al
        pop   dx
        pop   bx
        pop   ax
}

;________________BEEP__________________
Macro BEEP
{
        push  ax
        push  bx
        push  dx
        mov   bx,0x200
        mov   ax,0x34dd
        mov   dx,0x0012
        div   bx                ; **** pre calc this number ***
        mov   bx,ax
        in    al,0x61           ; get value of port 61h
        test  al,3              ; is the speaker turned on
        jnz   @f                ; skip the init and turning on if it's on
        or    al,3
        out   0x61,al           ; speaker on
        mov   al,0xb6
        out   0x43,al           ; Init port
@@:
        mov   al,bl             ; set timer to frequency
        out   0x42,al
        mov   al,bh
        out   0x42,al
        mov   ax,8              ; wait about 1/2 second
        call  [SetDelay]
        in    al,0x61           ; turn off speaker
        and   al,11111100b
        out   0x61,al
        pop   dx
        pop   bx
        pop   ax
}

;________________DEF___________________
Macro DEF  _varname, _vartype, _varval
{
        if _vartype = Short
           _varname     db 0
                        db _varval
        else if _vartype = Integer
           _varname     db 1
                        dw _varval
        else if _vartype = Long
           _varname     db 2
                        dd _varval
        else if _vartype = String
           _varname     db 9
                        dw 128        ;need to let it be defined several ways<----------**
                        db _varval,0
        end if
}

Short       equ 0
Integer     equ 1
Long        equ 2
Float       equ 3
String      equ 9
FALSE       equ 0
False       equ 0
false       equ 0
TRUE        equ 1
True        equ 1
true        equ 1

 ;---------------------------------;
 ; Dam, bunch of run time data     ;
 ; not sure how to get around this ;
 ;---------------------------------;

_grfxMode:      db 14           ; the graphics mode we are in
_grfxScreen:    dd 0xb79e0      ; the base address of the screen
_grfxCls:       dw 2000         ; screen size (dwords)
_grfxLL:        dw 40           ; line size (dword)
_grfxScreen_x   db 0            ; cursor location on screen
_grfxScreen_y   db 0            ; cursor location on screen
_grfxColor      db 0Fh          ; text color

SkipQBASIC: