proc TForm.Create, .obj, .parent
begin
        push    eax ecx edx esi edi

        mov     ebx, [.obj]

        mov     eax, [.parent]
        test    eax, eax
        jz      .root
        mov     eax, [eax+TWindow.handle]
        jmp     .parentok

.root:
        mov     eax, [hRootWindow]

.parentok:
        cinvoke XCreateSimpleWindow, [hApplicationDisplay], eax, 0, 0, 1, 1, 1, 0, $d4d0c8
        mov     [ebx+TForm.handle], eax

        stdcall _SetWindowStruct, eax, ebx

        cinvoke XSetWMProtocols, [hApplicationDisplay], [ebx+TForm.handle], wmdelete_atom, 1
        cinvoke XSelectInput, [hApplicationDisplay], [ebx+TForm.handle], ExposureMask or KeyPressMask or KeyReleaseMask or SubstructureNotifyMask

        pop     edi esi edx ecx eax
        return
endp



proc TForm.Get, .obj, .idparam
begin
        stc
        return
endp


proc TForm.Set, .obj, .idparam, .value
begin
        stc
        return
endp




proc TForm.SysEventHandler, .ptrEvent
begin
        push    esi edi

        stdcall _GetWindowStruct, [esi+XEvent.window]
        mov     edi, eax

        mov     esi, [.ptrEvent]

        mov     eax, [esi+XEvent.type]

        cmp     eax, Expose
        je      .expose

        cmp     eax, DestroyNotify
        je      .destroy_notify

        cmp     eax, ClientMessage
        je      .clientmessage

.finish:
        pop   edi esi
        stc                     ; not processed
        return

.clientmessage:
        mov     eax, dword [esi+XClientMessageEvent.data]
        mov     ecx, [wmdelete_atom]
        cmp     eax, ecx
        je      .do_destroy

        clc
        pop     edi esi
        return

.do_destroy:
        cinvoke XDestroyWindow, [hApplicationDisplay], [esi+XClientMessageEvent.window]
        clc
        pop     edi esi
        return

.destroy_notify:
        stdcall FreeMem, edi

        clc
        pop     edi esi
        return

.expose:
        stc
        pop     edi esi
        return
endp

