;uses memory.asm

cInitTreeSize = 256

struct THashList
  .ptrHashTree dd ?
  .TreeSize    dd ?
  .StrHeap     TStringPool
ends



proc HashListCreate, .ptrHashList
begin
        push    esi eax

        mov     esi, [.ptrHashList]

        mov     [esi+THashList.TreeSize], cInitTreeSize
        stdcall GetMem, [esi+THashList.TreeSize]
        mov     [esi+THashList.ptrHashTree], eax

        lea     esi, [esi+THashList.StrHeap]
        stdcall StringHeapCreate, esi

        pop     eax esi
        return
endp




proc HashListDestroy, .ptrHashList
begin
        push    esi
        mov     esi, [.ptrHashList]
        stdcall FreeMem, [esi+THashList.ptrHashTree]
        stdcall FreeMem, [esi+THashList.ptrStrList]
        pop     esi
        return
endp


;_______________________________________________________________________
;
; RETURNS:
; if CF=1 the string is already in the list.
; returns eax = pointer to the string in the list.
;         edx = hash of the string.
;
; if CF=0 the string is not in the list.
; in this case if fAdd=TRUE, adds the string to the list.
; returns eax = pointer to the string in the list.
;         edx = hash of the string.
;
; if fAdd = FALSE doesn't add the string to the list and
;_______________________________________________________________________
proc HashListCheck, .ptrHashList, .hString, .fAdd
begin

        return
endp



;_______________________________________________________________________
;
; function StrHash
;   Computes 32 bit hash value from the string.
;   The function is compatible with FASM hash
;   function if OrMask = 0.
;
; Arguments:
;   ptrString - pointer to PASCAL string with dword length at [ptr-4]
;
; Return:
;   eax - 32bit hash value.
;
; Changes:
;   eax
;_______________________________________________________________________
proc Hash_FNV1a, .ptrString
begin
        push    edx ecx esi

        mov     esi, [.ptrString]
        mov     eax, $811C9DC5                  ; 2166136261              ; FNV offset basis
        mov     ecx, [esi-4]                    ; length of the string
        jecxz   .exit

.hashloop:
        movzx   edx, byte [esi]
        xor     eax, edx
        inc     esi
        imul    eax, $01000193                  ;   16777619              ; FNV prime
        dec     ecx
        jnz     .hashloop

.exit:
        pop     esi ecx edx
        return
endp

DispSize "Hash_FNV1a", $-Hash_FNV1a