; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: All GUI libraries combined include.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes: Includes all GUI libraries at once.
;_________________________________________________________________________________________

AlignLeft   = 0
AlignRight  = 1
AlignTop    = 2
AlignBottom = 3

include 'sysevents.asm'

; includes OS specific utility procedures, data, etc.
include 'progutils.asm'

include 'mouse.asm'
include 'textcaret.asm'

; OS independent support code
include 'objects.asm'
include 'TAction.asm'

; OS independent template engine.
include 'ObjTemplates.asm'

; OS independent components
include 'TObject.asm'
include 'TWindow.asm'
include 'TScrollWindow.asm'

include 'TApplication.asm'
include 'TForm.asm'
include 'TButton.asm'
include 'TEdit.asm'
include 'TLabel.asm'
include 'TImageLabel.asm'
include 'TMenuItem.asm'
include 'TMenu.asm'
include 'TProgressbar.asm'
include 'TTreeView.asm'

include 'ThemeGUI.asm'

include 'dialogs.asm'

; OS independent main procedures.
include 'Main.asm'
