; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: Common OS independent programming utilities.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________
module "Programming utilities"

macro JumpList [id, target] {
  forward
        dw id, target - $ - 2
  common
        dd 0
}

macro JumpTable [id, target] {
if ~ msg eq
      call JumpTo
      JumpList msg, target
end if
}


;------------------------------------------------------
; proc JumpTo
; Searches for the message in the message table.
; Arguments:
;   ebx - message number to search in the table.
; Returns:
;   This procedure doesn't returns. It simply
;   jumps to the address from table or imediately
;   after the table if the message is not found.
;   in both cases esi = eip
; Changes:
;   eax, ecx
;------------------------------------------------------
proc JumpTo
begin
        pop     ecx             ; get table address, remove return address from the stack and save the value of esi.
.loop:
        mov     eax, [ecx]
        lea     ecx, [ecx+4]
        test    eax,eax
        jz      .exit

        cmp     bx, ax
        jne     .loop

        sar     eax, 16
        add     ecx, eax
.exit:
        jmp     ecx
endp

endmodule