; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: kernel32.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto kernel32,  \
    ActivateActCtx, N, <NONE>,  'ActivateActCtx',  \
    AddAtom, A, <.lpString>,  'AddAtomA',  \
    AddAtom, W, <.lpString>,  'AddAtomW',  \
    AddConsoleAlias, A, <NONE>,  'AddConsoleAliasA',  \
    AddConsoleAlias, W, <NONE>,  'AddConsoleAliasW',  \
    AddLocalAlternateComputerName, A, <NONE>,  'AddLocalAlternateComputerNameA',  \
    AddLocalAlternateComputerName, W, <NONE>,  'AddLocalAlternateComputerNameW',  \
    AddRefActCtx, N, <NONE>,  'AddRefActCtx',  \
    AddVectoredExceptionHandler, N, <NONE>,  'AddVectoredExceptionHandler',  \
    AllocConsole, N, <VOID>,  'AllocConsole',  \
    AllocateUserPhysicalPages, N, <.hProcess, .NumberOfPages, .PageArray>,  'AllocateUserPhysicalPages',  \
    AreFileApisANSI, N, <VOID>,  'AreFileApisANSI',  \
    AssignProcessToJobObject, N, <.hJob, .hProcess>,  'AssignProcessToJobObject',  \
    AttachConsole, N, <NONE>,  'AttachConsole',  \
    BackupRead, N, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpNumberOfBytesRead, .bAbort, .bProcessSecurity, .lpContext>,  'BackupRead',  \
    BackupSeek, N, <.hFile, .dwLowBytesToSeek, .dwHighBytesToSeek, .lpdwLowByteSeeked, .lpdwHighByteSeeked, .lpContext>,  'BackupSeek',  \
    BackupWrite, N, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpNumberOfBytesWritten, .bAbort, .bProcessSecurity, .lpContext>,  'BackupWrite',  \
    BaseCheckAppcompatCache, N, <NONE>,  'BaseCheckAppcompatCache',  \
    BaseCleanupAppcompatCache, N, <NONE>,  'BaseCleanupAppcompatCache',  \
    BaseCleanupAppcompatCacheSupport, N, <NONE>,  'BaseCleanupAppcompatCacheSupport',  \
    BaseDumpAppcompatCache, N, <NONE>,  'BaseDumpAppcompatCache',  \
    BaseFlushAppcompatCache, N, <NONE>,  'BaseFlushAppcompatCache',  \
    BaseInitAppcompatCache, N, <NONE>,  'BaseInitAppcompatCache',  \
    BaseInitAppcompatCacheSupport, N, <NONE>,  'BaseInitAppcompatCacheSupport',  \
    BaseProcessInitPostImport, N, <NONE>,  'BaseProcessInitPostImport',  \
    BaseQueryModuleData, N, <NONE>,  'BaseQueryModuleData',  \
    BaseUpdateAppcompatCache, N, <NONE>,  'BaseUpdateAppcompatCache',  \
    BasepCheckWinSaferRestrictions, N, <NONE>,  'BasepCheckWinSaferRestrictions',  \
    Beep, N, <.dwFreq, .dwDuration>,  'Beep',  \
    BeginUpdateResource, A, <.pFileName, .bDeleteExistingResources>,  'BeginUpdateResourceA',  \
    BeginUpdateResource, W, <.pFileName, .bDeleteExistingResources>,  'BeginUpdateResourceW',  \
    BindIoCompletionCallback, N, <.FileHandle, .lFunction, .Flags>,  'BindIoCompletionCallback',  \
    BuildCommDCB, A, <.lpDef, .lpDCB>,  'BuildCommDCBA',  \
    BuildCommDCBAndTimeouts, A, <.lpDef, .lpDCB, .lpCommTimeouts>,  'BuildCommDCBAndTimeoutsA',  \
    BuildCommDCBAndTimeouts, W, <.lpDef, .lpDCB, .lpCommTimeouts>,  'BuildCommDCBAndTimeoutsW',  \
    BuildCommDCB, W, <.lpDef, .lpDCB>,  'BuildCommDCBW',  \
    CallNamedPipe, A, <.lpNamedPipeName, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .nTimeOut>,  'CallNamedPipeA',  \
    CallNamedPipe, W, <.lpNamedPipeName, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .nTimeOut>,  'CallNamedPipeW',  \
    CancelDeviceWakeupRequest, N, <.hDevice>,  'CancelDeviceWakeupRequest',  \
    CancelIo, N, <.hFile>,  'CancelIo',  \
    CancelTimerQueueTimer, N, <.TimerQueue, .Timer>,  'CancelTimerQueueTimer',  \
    CancelWaitableTimer, N, <.hTimer>,  'CancelWaitableTimer',  \
    ChangeTimerQueueTimer, N, <.TimerQueue, .Timer, .DueTime, .Period>,  'ChangeTimerQueueTimer',  \
    CheckNameLegalDOS8Dot3, A, <NONE>,  'CheckNameLegalDOS8Dot3A',  \
    CheckNameLegalDOS8Dot3, W, <NONE>,  'CheckNameLegalDOS8Dot3W',  \
    CheckRemoteDebuggerPresent, N, <NONE>,  'CheckRemoteDebuggerPresent',  \
    ClearCommBreak, N, <.nCid>,  'ClearCommBreak',  \
    ClearCommError, N, <.hFile, .lpErrors, .lpStat>,  'ClearCommError',  \
    CloseConsoleHandle, N, <NONE>,  'CloseConsoleHandle',  \
    CloseHandle, N, <.hObject>,  'CloseHandle',  \
    CloseProfileUserMapping, N, <NONE>,  'CloseProfileUserMapping',  \
    CmdBatNotification, N, <NONE>,  'CmdBatNotification',  \
    CommConfigDialog, A, <.lpszName, .hWnd, .lpCC>,  'CommConfigDialogA',  \
    CommConfigDialog, W, <.lpszName, .hWnd, .lpCC>,  'CommConfigDialogW',  \
    CompareFileTime, N, <.lpFileTime1, .lpFileTime2>,  'CompareFileTime',  \
    CompareString, A, <.Locale, .dwCmpFlags, .lpString1, .cchCount1, .lpString2, .cchCount2>,  'CompareStringA',  \
    CompareString, W, <.Locale, .dwCmpFlags, .lpString1, .cchCount1, .lpString2, .cchCount2>,  'CompareStringW',  \
    ConnectNamedPipe, N, <.hNamedPipe, .lpOverlapped>,  'ConnectNamedPipe',  \
    ConsoleMenuControl, N, <NONE>,  'ConsoleMenuControl',  \
    ContinueDebugEvent, N, <.dwProcessId, .dwThreadId, .dwContinueStatus>,  'ContinueDebugEvent',  \
    ConvertDefaultLocale, N, <.Locale>,  'ConvertDefaultLocale',  \
    ConvertFiberToThread, N, <NONE>,  'ConvertFiberToThread',  \
    ConvertThreadToFiber, N, <.lpParameter>,  'ConvertThreadToFiber',  \
    CopyFile, A, <.lpExistingFileName, .lpNewFileName, .bFailIfExists>,  'CopyFileA',  \
    CopyFileEx, A, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .pbCancel, .dwCopyFlags>,  'CopyFileExA',  \
    CopyFileEx, W, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .pbCancel, .dwCopyFlags>,  'CopyFileExW',  \
    CopyFile, W, <.lpExistingFileName, .lpNewFileName, .bFailIfExists>,  'CopyFileW',  \
    CopyLZFile, N, <.n1, .n2>,  'CopyLZFile',  \
    CreateActCtx, A, <NONE>,  'CreateActCtxA',  \
    CreateActCtx, W, <NONE>,  'CreateActCtxW',  \
    CreateConsoleScreenBuffer, N, <.dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwFlags, .lpScreenBufferData>,  'CreateConsoleScreenBuffer',  \
    CreateDirectory, A, <.lpPathName, .lpSecurityAttributes>,  'CreateDirectoryA',  \
    CreateDirectoryEx, A, <.lpTemplateDirectory, .lpNewDirectory, .lpSecurityAttributes>,  'CreateDirectoryExA',  \
    CreateDirectoryEx, W, <.lpTemplateDirectory, .lpNewDirectory, .lpSecurityAttributes>,  'CreateDirectoryExW',  \
    CreateDirectory, W, <.lpPathName, .lpSecurityAttributes>,  'CreateDirectoryW',  \
    CreateEvent, A, <.lpEventAttributes, .bManualReset, .bInitialState, .lpName>,  'CreateEventA',  \
    CreateEvent, W, <.lpEventAttributes, .bManualReset, .bInitialState, .lpName>,  'CreateEventW',  \
    CreateFiber, N, <.dwStackSize, .lpStartAddress, .lpParameter>,  'CreateFiber',  \
    CreateFiberEx, N, <NONE>,  'CreateFiberEx',  \
    CreateFile, A, <.lpFileName, .dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwCreationDisposition, .dwFlagsAndAttributes, .hTemplateFile>,  'CreateFileA',  \
    CreateFileMapping, A, <.hFile, .lpFileMappigAttributes, .flProtect, .dwMaximumSizeHigh, .dwMaximumSizeLow, .lpName>,  'CreateFileMappingA',  \
    CreateFileMapping, W, <.hFile, .lpFileMappigAttributes, .flProtect, .dwMaximumSizeHigh, .dwMaximumSizeLow, .lpName>,  'CreateFileMappingW',  \
    CreateFile, W, <.lpFileName, .dwDesiredAccess, .dwShareMode, .lpSecurityAttributes, .dwCreationDisposition, .dwFlagsAndAttributes, .hTemplateFile>,  'CreateFileW',  \
    CreateHardLink, A, <.lpFileName, .lpExistingFileName, .lpSecurityAttributes>,  'CreateHardLinkA',  \
    CreateHardLink, W, <.lpFileName, .lpExistingFileName, .lpSecurityAttributes>,  'CreateHardLinkW',  \
    CreateIoCompletionPort, N, <.FileHandle, .ExistingCompletionPort, .CompletionKey, .NumberOfConcurrentThreads>,  'CreateIoCompletionPort',  \
    CreateJobObject, A, <.lpJobAttributes, .lpName>,  'CreateJobObjectA',  \
    CreateJobObject, W, <.lpJobAttributes, .lpName>,  'CreateJobObjectW',  \
    CreateJobSet, N, <NONE>,  'CreateJobSet',  \
    CreateMailslot, A, <.lpName, .nMaxMessageSize, .lReadTimeout, .lpSecurityAttributes>,  'CreateMailslotA',  \
    CreateMailslot, W, <.lpName, .nMaxMessageSize, .lReadTimeout, .lpSecurityAttributes>,  'CreateMailslotW',  \
    CreateMemoryResourceNotification, N, <NONE>,  'CreateMemoryResourceNotification',  \
    CreateMutex, A, <.lpMutexAttributes, .bInitialOwner, .lpName>,  'CreateMutexA',  \
    CreateMutex, W, <.lpMutexAttributes, .bInitialOwner, .lpName>,  'CreateMutexW',  \
    CreateNamedPipe, A, <.lpName, .dwOpenMode, .dwPipeMode, .nMaxInstances, .nOutBufferSize, .nInBufferSize, .nDefaultTimeOut, .lpSecurityAttributes>,  'CreateNamedPipeA',  \
    CreateNamedPipe, W, <.lpName, .dwOpenMode, .dwPipeMode, .nMaxInstances, .nOutBufferSize, .nInBufferSize, .nDefaultTimeOut, .lpSecurityAttributes>,  'CreateNamedPipeW',  \
    CreateNlsSecurityDescriptor, N, <NONE>,  'CreateNlsSecurityDescriptor',  \
    CreatePipe, N, <.phReadPipe, .phWritePipe, .lpPipeAttributes, .nSize>,  'CreatePipe',  \
    CreateProcess, A, <.lpApplicationName, .lpCommandLine, .lpProcessAttributes, .lpThreadAttributes, .bInheritHandles, .dwCreationFlags, .lpEnvironment, .lpCurrentDriectory, .lpStartupInfo, .lpProcessInformation>,  'CreateProcessA',  \
    CreateProcessInternal, A, <NONE>,  'CreateProcessInternalA',  \
    CreateProcessInternal, W, <NONE>,  'CreateProcessInternalW',  \
    CreateProcessInternalWSecure, N, <NONE>,  'CreateProcessInternalWSecure',  \
    CreateProcess, W, <.lpApplicationName, .lpCommandLine, .lpProcessAttributes, .lpThreadAttributes, .bInheritHandles, .dwCreationFlags, .lpEnvironment, .lpCurrentDriectory, .lpStartupInfo, .lpProcessInformation>,  'CreateProcessW',  \
    CreateRemoteThread, N, <.hProcess, .lpThreadAttributes, .dwStackSize, .lpStartAddress, .lpParameter, .dwCreationFlags, .lpThreadId>,  'CreateRemoteThread',  \
    CreateSemaphore, A, <.lpSemaphoreAttributes, .lInitialCount, .lMaximumCount, .lpName>,  'CreateSemaphoreA',  \
    CreateSemaphore, W, <.lpSemaphoreAttributes, .lInitialCount, .lMaximumCount, .lpName>,  'CreateSemaphoreW',  \
    CreateSocketHandle, N, <NONE>,  'CreateSocketHandle',  \
    CreateTapePartition, N, <.hDevice, .dwPartitionMethod, .dwCount, .dwSize>,  'CreateTapePartition',  \
    CreateThread, N, <.lpThreadAttributes, .dwStackSize, .lpStartAddress, .lpParameter, .dwCreationFlags, .lpThreadId>,  'CreateThread',  \
    CreateTimerQueue, N, <VOID>,  'CreateTimerQueue',  \
    CreateTimerQueueTimer, N, <NONE>,  'CreateTimerQueueTimer',  \
    CreateToolhelp32Snapshot, N, <.dwFlags, .th32ProcessID>,  'CreateToolhelp32Snapshot',  \
    CreateVirtualBuffer, N, <NONE>,  'CreateVirtualBuffer',  \
    CreateWaitableTimer, A, <.lpTimerAttributes, .bManualReset, .lpTimerName>,  'CreateWaitableTimerA',  \
    CreateWaitableTimer, W, <.lpTimerAttributes, .bManualReset, .lpTimerName>,  'CreateWaitableTimerW',  \
    DeactivateActCtx, N, <NONE>,  'DeactivateActCtx',  \
    DebugActiveProcess, N, <.dwProcessId>,  'DebugActiveProcess',  \
    DebugActiveProcessStop, N, <NONE>,  'DebugActiveProcessStop',  \
    DebugBreak, N, <VOID>,  'DebugBreak',  \
    DebugBreakProcess, N, <NONE>,  'DebugBreakProcess',  \
    DebugSetProcessKillOnExit, N, <NONE>,  'DebugSetProcessKillOnExit',  \
    DecodePointer, N, <NONE>,  'DecodePointer',  \
    DecodeSystemPointer, N, <NONE>,  'DecodeSystemPointer',  \
    DefineDosDevice, A, <.dwFlags, .lpDeviceName, .lpTargetPath>,  'DefineDosDeviceA',  \
    DefineDosDevice, W, <.dwFlags, .lpDeviceName, .lpTargetPath>,  'DefineDosDeviceW',  \
    DelayLoadFailureHook, N, <NONE>,  'DelayLoadFailureHook',  \
    DeleteAtom, N, <.nAtom>,  'DeleteAtom',  \
    DeleteCriticalSection, N, <.lpCriticalSection>,  'DeleteCriticalSection',  \
    DeleteFiber, N, <.lpFiber>,  'DeleteFiber',  \
    DeleteFile, A, <.lpFileName>,  'DeleteFileA',  \
    DeleteFile, W, <.lpFileName>,  'DeleteFileW',  \
    DeleteTimerQueue, N, <.TimerQueue>,  'DeleteTimerQueue',  \
    DeleteTimerQueueEx, N, <.TimerQueue, .CompletionEvent>,  'DeleteTimerQueueEx',  \
    DeleteTimerQueueTimer, N, <.TimerQueue, .Timer, .CompletionEvent>,  'DeleteTimerQueueTimer',  \
    DeleteVolumeMountPoint, A, <.lpszVolumeMountPoint>,  'DeleteVolumeMountPointA',  \
    DeleteVolumeMountPoint, W, <.lpszVolumeMountPoint>,  'DeleteVolumeMountPointW',  \
    DeviceIoControl, N, <.hDevice, .dwIoControlCode, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesReturned, .lpOverlapped>,  'DeviceIoControl',  \
    DisableThreadLibraryCalls, N, <.hLibModule>,  'DisableThreadLibraryCalls',  \
    DisconnectNamedPipe, N, <.hNamedPipe>,  'DisconnectNamedPipe',  \
    DnsHostnameToComputerName, A, <.Hostname, .ComputerName, .nSize>,  'DnsHostnameToComputerNameA',  \
    DnsHostnameToComputerName, W, <.Hostname, .ComputerName, .nSize>,  'DnsHostnameToComputerNameW',  \
    DosDateTimeToFileTime, N, <.wFatDate, .wFatTime, .lpFileTime>,  'DosDateTimeToFileTime',  \
    DosPathToSessionPath, A, <.SessionId, .pInPath, .ppOutPath>,  'DosPathToSessionPathA',  \
    DosPathToSessionPath, W, <.SessionId, .pInPath, .ppOutPath>,  'DosPathToSessionPathW',  \
    DuplicateConsoleHandle, N, <NONE>,  'DuplicateConsoleHandle',  \
    DuplicateHandle, N, <.hSourceProcessHandle, .hSourceHandle, .hTargetProcessHandle, .lpTargetHandle, .dwDesiredAccess, .bInheritHandle, .dwOptions>,  'DuplicateHandle',  \
    EncodePointer, N, <NONE>,  'EncodePointer',  \
    EncodeSystemPointer, N, <NONE>,  'EncodeSystemPointer',  \
    EndUpdateResource, A, <.hUpdate, .fDiscard>,  'EndUpdateResourceA',  \
    EndUpdateResource, W, <.hUpdate, .fDiscard>,  'EndUpdateResourceW',  \
    EnterCriticalSection, N, <.lpCriticalSection>,  'EnterCriticalSection',  \
    EnumCalendarInfo, A, <.lpCalInfoEnumProc, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoA',  \
    EnumCalendarInfoEx, A, <.lpCalInfoEnumProcEx, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoExA',  \
    EnumCalendarInfoEx, W, <.lpCalInfoEnumProcEx, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoExW',  \
    EnumCalendarInfo, W, <.lpCalInfoEnumProc, .Locale, .Calendar, .CalType>,  'EnumCalendarInfoW',  \
    EnumDateFormats, A, <.lpDateFmtEnumProc, .Locale, .dwFlags>,  'EnumDateFormatsA',  \
    EnumDateFormatsEx, A, <.lpDateFmtEnumProcEx, .Locale, .dwFlags>,  'EnumDateFormatsExA',  \
    EnumDateFormatsEx, W, <.lpDateFmtEnumProcEx, .Locale, .dwFlags>,  'EnumDateFormatsExW',  \
    EnumDateFormats, W, <.lpDateFmtEnumProc, .Locale, .dwFlags>,  'EnumDateFormatsW',  \
    EnumLanguageGroupLocales, A, <.lpLangGroupLocaleEnumProc, .LanguageGroup, .dwFlags, .lParam>,  'EnumLanguageGroupLocalesA',  \
    EnumLanguageGroupLocales, W, <.lpLangGroupLocaleEnumProc, .LanguageGroup, .dwFlags, .lParam>,  'EnumLanguageGroupLocalesW',  \
    EnumResourceLanguages, A, <.hModule, .lpType, .lpName, .lpEnumFunc, .lParam>,  'EnumResourceLanguagesA',  \
    EnumResourceLanguages, W, <.hModule, .lpType, .lpName, .lpEnumFunc, .lParam>,  'EnumResourceLanguagesW',  \
    EnumResourceNames, A, <.hModule, .lpType, .lpEnumFunc, .lParam>,  'EnumResourceNamesA',  \
    EnumResourceNames, W, <.hModule, .lpType, .lpEnumFunc, .lParam>,  'EnumResourceNamesW',  \
    EnumResourceTypes, A, <.hModule, .lpEnumFunc, .lParam>,  'EnumResourceTypesA',  \
    EnumResourceTypes, W, <.hModule, .lpEnumFunc, .lParam>,  'EnumResourceTypesW',  \
    EnumSystemCodePages, A, <.lpCodePageEnumProc, .dwFlags>,  'EnumSystemCodePagesA',  \
    EnumSystemCodePages, W, <.lpCodePageEnumProc, .dwFlags>,  'EnumSystemCodePagesW',  \
    EnumSystemGeoID, N, <NONE>,  'EnumSystemGeoID',  \
    EnumSystemLanguageGroups, A, <.lpLanguageGroupEnumProc, .dwFlags, .lParam>,  'EnumSystemLanguageGroupsA',  \
    EnumSystemLanguageGroups, W, <.lpLanguageGroupEnumProc, .dwFlags, .lParam>,  'EnumSystemLanguageGroupsW',  \
    EnumSystemLocales, A, <.lpLocaleEnumProc, .dwFlags>,  'EnumSystemLocalesA',  \
    EnumSystemLocales, W, <.lpLocaleEnumProc, .dwFlags>,  'EnumSystemLocalesW',  \
    EnumTimeFormats, A, <.lpTimeFmtEnumProc, .Locale, .dwFlags>,  'EnumTimeFormatsA',  \
    EnumTimeFormats, W, <.lpTimeFmtEnumProc, .Locale, .dwFlags>,  'EnumTimeFormatsW',  \
    EnumUILanguages, A, <.lpUILanguageEnumProc, .dwFlags, .lParam>,  'EnumUILanguagesA',  \
    EnumUILanguages, W, <.lpUILanguageEnumProc, .dwFlags, .lParam>,  'EnumUILanguagesW',  \
    EnumerateLocalComputerNames, A, <NONE>,  'EnumerateLocalComputerNamesA',  \
    EnumerateLocalComputerNames, W, <NONE>,  'EnumerateLocalComputerNamesW',  \
    EraseTape, N, <.hDevice, .dwEraseType, .bimmediate>,  'EraseTape',  \
    EscapeCommFunction, N, <.nCid, .nFunc>,  'EscapeCommFunction',  \
    ExitProcess, N, <.uExitCode>,  'ExitProcess',  \
    ExitThread, N, <.dwExitCode>,  'ExitThread',  \
    ExitVDM, N, <NONE>,  'ExitVDM',  \
    ExpandEnvironmentStrings, A, <.lpSrc, .lpDst, .nSize>,  'ExpandEnvironmentStringsA',  \
    ExpandEnvironmentStrings, W, <.lpSrc, .lpDst, .nSize>,  'ExpandEnvironmentStringsW',  \
    ExpungeConsoleCommandHistory, A, <NONE>,  'ExpungeConsoleCommandHistoryA',  \
    ExpungeConsoleCommandHistory, W, <NONE>,  'ExpungeConsoleCommandHistoryW',  \
    ExtendVirtualBuffer, N, <NONE>,  'ExtendVirtualBuffer',  \
    FatalAppExit, A, <.uAction, .lpMessageText>,  'FatalAppExitA',  \
    FatalAppExit, W, <.uAction, .lpMessageText>,  'FatalAppExitW',  \
    FatalExit, N, <.code>,  'FatalExit',  \
    FileTimeToDosDateTime, N, <.lpFileTime, .lpFatDate, .lpFatTime>,  'FileTimeToDosDateTime',  \
    FileTimeToLocalFileTime, N, <.lpFileTime, .lpLocalFileTime>,  'FileTimeToLocalFileTime',  \
    FileTimeToSystemTime, N, <.lpFileTime, .lpSystemTime>,  'FileTimeToSystemTime',  \
    FillConsoleOutputAttribute, N, <.hConsoleOutput, .wAttribute, .nLength, .dwWriteCoord, .lpNumberOfAttrsWritten>,  'FillConsoleOutputAttribute',  \
    FillConsoleOutputCharacter, A, <.hConsoleOutput, .cCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'FillConsoleOutputCharacterA',  \
    FillConsoleOutputCharacter, W, <.hConsoleOutput, .cCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'FillConsoleOutputCharacterW',  \
    FindActCtxSectionGuid, N, <NONE>,  'FindActCtxSectionGuid',  \
    FindActCtxSectionString, A, <NONE>,  'FindActCtxSectionStringA',  \
    FindActCtxSectionString, W, <NONE>,  'FindActCtxSectionStringW',  \
    FindAtom, A, <.lpString>,  'FindAtomA',  \
    FindAtom, W, <.lpString>,  'FindAtomW',  \
    FindClose, N, <.hFindFile>,  'FindClose',  \
    FindCloseChangeNotification, N, <.hChangeHandle>,  'FindCloseChangeNotification',  \
    FindFirstChangeNotification, A, <.lpPathName, .bWatchSubtree, .dwNotifyFilter>,  'FindFirstChangeNotificationA',  \
    FindFirstChangeNotification, W, <.lpPathName, .bWatchSubtree, .dwNotifyFilter>,  'FindFirstChangeNotificationW',  \
    FindFirstFile, A, <.lpFileName, .lpFindFileData>,  'FindFirstFileA',  \
    FindFirstFileEx, A, <.lpFileName, .fInfoLevelId, .lpFindFileData, .fSearchOp, .lpSearchFilter, .dwAdditionalFlags>,  'FindFirstFileExA',  \
    FindFirstFileEx, W, <.lpFileName, .fInfoLevelId, .lpFindFileData, .fSearchOp, .lpSearchFilter, .dwAdditionalFlags>,  'FindFirstFileExW',  \
    FindFirstFile, W, <.lpFileName, .lpFindFileData>,  'FindFirstFileW',  \
    FindFirstVolume, A, <.lpszVolumeName, .cchBufferLength>,  'FindFirstVolumeA',  \
    FindFirstVolumeMountPoint, A, <.lpszRootPathName, .lpszVolumeMountPoint, .cchBufferLength>,  'FindFirstVolumeMountPointA',  \
    FindFirstVolumeMountPoint, W, <.lpszRootPathName, .lpszVolumeMountPoint, .cchBufferLength>,  'FindFirstVolumeMountPointW',  \
    FindFirstVolume, W, <.lpszVolumeName, .cchBufferLength>,  'FindFirstVolumeW',  \
    FindNextChangeNotification, N, <.hChangeHandle>,  'FindNextChangeNotification',  \
    FindNextFile, A, <.hFindFile, .lpFindFileData>,  'FindNextFileA',  \
    FindNextFile, W, <.hFindFile, .lpFindFileData>,  'FindNextFileW',  \
    FindNextVolume, A, <.hFindVolume, .lpszVolumeName, .cchBufferLength>,  'FindNextVolumeA',  \
    FindNextVolumeMountPoint, A, <.hFindVolumeMountPoint, .lpszVolumeMountPoint, .cchBufferLength>,  'FindNextVolumeMountPointA',  \
    FindNextVolumeMountPoint, W, <.hFindVolumeMountPoint, .lpszVolumeMountPoint, .cchBufferLength>,  'FindNextVolumeMountPointW',  \
    FindNextVolume, W, <.hFindVolume, .lpszVolumeName, .cchBufferLength>,  'FindNextVolumeW',  \
    FindResource, A, <.hInstance, .lpName, .lpType>,  'FindResourceA',  \
    FindResourceEx, A, <.hModule, .lpType, .lpName, .wLanguage>,  'FindResourceExA',  \
    FindResourceEx, W, <.hModule, .lpType, .lpName, .wLanguage>,  'FindResourceExW',  \
    FindResource, W, <.hInstance, .lpName, .lpType>,  'FindResourceW',  \
    FindVolumeClose, N, <.hFindVolume>,  'FindVolumeClose',  \
    FindVolumeMountPointClose, N, <.hFindVolumeMountPoint>,  'FindVolumeMountPointClose',  \
    FlushConsoleInputBuffer, N, <.hConsoleInput>,  'FlushConsoleInputBuffer',  \
    FlushFileBuffers, N, <.hFile>,  'FlushFileBuffers',  \
    FlushInstructionCache, N, <.hProcess, .lpBaseAddress, .dwSize>,  'FlushInstructionCache',  \
    FlushViewOfFile, N, <.lpBaseAddress, .dwNumberOfBytesToFlush>,  'FlushViewOfFile',  \
    FoldString, A, <.dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'FoldStringA',  \
    FoldString, W, <.dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'FoldStringW',  \
    FormatMessage, A, <.dwFlags, .lpSource, .dwMessageId, .dwLanguageId, .lpBuffer, .nSize, .Arguments>,  'FormatMessageA',  \
    FormatMessage, W, <.dwFlags, .lpSource, .dwMessageId, .dwLanguageId, .lpBuffer, .nSize, .Arguments>,  'FormatMessageW',  \
    FreeConsole, N, <VOID>,  'FreeConsole',  \
    FreeEnvironmentStrings, A, <.lpsz>,  'FreeEnvironmentStringsA',  \
    FreeEnvironmentStrings, W, <.lpsz>,  'FreeEnvironmentStringsW',  \
    FreeLibrary, N, <.hLibModule>,  'FreeLibrary',  \
    FreeLibraryAndExitThread, N, <.hLibModule, .dwExitCode>,  'FreeLibraryAndExitThread',  \
    FreeResource, N, <.hResData>,  'FreeResource',  \
    FreeUserPhysicalPages, N, <.hProcess, .NumberOfPages, .PageArray>,  'FreeUserPhysicalPages',  \
    FreeVirtualBuffer, N, <NONE>,  'FreeVirtualBuffer',  \
    GenerateConsoleCtrlEvent, N, <.dwCtrlEvent, .dwProcessGroupId>,  'GenerateConsoleCtrlEvent',  \
    GetACP, N, <VOID>,  'GetACP',  \
    GetAtomName, A, <.nAtom, .lpBuffer, .nSize>,  'GetAtomNameA',  \
    GetAtomName, W, <.nAtom, .lpBuffer, .nSize>,  'GetAtomNameW',  \
    GetBinaryType, A, <.lpApplicationName, .lpBinaryType>,  'GetBinaryTypeA',  \
    GetBinaryType, W, <.lpApplicationName, .lpBinaryType>,  'GetBinaryTypeW',  \
    GetCPFileNameFromRegistry, N, <NONE>,  'GetCPFileNameFromRegistry',  \
    GetCPInfo, N, <.CodePage, .lpCPInfo>,  'GetCPInfo',  \
    GetCPInfoEx, A, <.CodePage, .dwFlags, .lpCPInfoEx>,  'GetCPInfoExA',  \
    GetCPInfoEx, W, <.CodePage, .dwFlags, .lpCPInfoEx>,  'GetCPInfoExW',  \
    GetCalendarInfo, A, <.Locale, .Calendar, .CalType, .lpCalData, .cchData, .lpValue>,  'GetCalendarInfoA',  \
    GetCalendarInfo, W, <.Locale, .Calendar, .CalType, .lpCalData, .cchData, .lpValue>,  'GetCalendarInfoW',  \
    GetComPlusPackageInstallStatus, N, <NONE>,  'GetComPlusPackageInstallStatus',  \
    GetCommConfig, N, <.hCommDev, .lpCC, .lpdwSize>,  'GetCommConfig',  \
    GetCommMask, N, <.hFile, .lpEvtMask>,  'GetCommMask',  \
    GetCommModemStatus, N, <.hFile, .lpModemStat>,  'GetCommModemStatus',  \
    GetCommProperties, N, <.hFile, .lpCommProp>,  'GetCommProperties',  \
    GetCommState, N, <.nCid, .lpDCB>,  'GetCommState',  \
    GetCommTimeouts, N, <.hFile, .lpCommTimeouts>,  'GetCommTimeouts',  \
    GetCommandLine, A, <VOID>,  'GetCommandLineA',  \
    GetCommandLine, W, <VOID>,  'GetCommandLineW',  \
    GetCompressedFileSize, A, <.lpFileName, .lpFileSizeHigh>,  'GetCompressedFileSizeA',  \
    GetCompressedFileSize, W, <.lpFileName, .lpFileSizeHigh>,  'GetCompressedFileSizeW',  \
    GetComputerName, A, <.lpBuffer, .nSize>,  'GetComputerNameA',  \
    GetComputerNameEx, A, <.NameType, .lpBuffer, .nSize>,  'GetComputerNameExA',  \
    GetComputerNameEx, W, <.NameType, .lpBuffer, .nSize>,  'GetComputerNameExW',  \
    GetComputerName, W, <.lpBuffer, .nSize>,  'GetComputerNameW',  \
    GetConsoleAlias, A, <NONE>,  'GetConsoleAliasA',  \
    GetConsoleAliasExes, A, <NONE>,  'GetConsoleAliasExesA',  \
    GetConsoleAliasExesLength, A, <NONE>,  'GetConsoleAliasExesLengthA',  \
    GetConsoleAliasExesLength, W, <NONE>,  'GetConsoleAliasExesLengthW',  \
    GetConsoleAliasExes, W, <NONE>,  'GetConsoleAliasExesW',  \
    GetConsoleAlias, W, <NONE>,  'GetConsoleAliasW',  \
    GetConsoleAliases, A, <NONE>,  'GetConsoleAliasesA',  \
    GetConsoleAliasesLength, A, <NONE>,  'GetConsoleAliasesLengthA',  \
    GetConsoleAliasesLength, W, <NONE>,  'GetConsoleAliasesLengthW',  \
    GetConsoleAliases, W, <NONE>,  'GetConsoleAliasesW',  \
    GetConsoleCP, N, <VOID>,  'GetConsoleCP',  \
    GetConsoleCharType, N, <NONE>,  'GetConsoleCharType',  \
    GetConsoleCommandHistory, A, <NONE>,  'GetConsoleCommandHistoryA',  \
    GetConsoleCommandHistoryLength, A, <NONE>,  'GetConsoleCommandHistoryLengthA',  \
    GetConsoleCommandHistoryLength, W, <NONE>,  'GetConsoleCommandHistoryLengthW',  \
    GetConsoleCommandHistory, W, <NONE>,  'GetConsoleCommandHistoryW',  \
    GetConsoleCursorInfo, N, <.hConsoleOutput, .lpConsoleCursorInfo>,  'GetConsoleCursorInfo',  \
    GetConsoleCursorMode, N, <NONE>,  'GetConsoleCursorMode',  \
    GetConsoleDisplayMode, N, <NONE>,  'GetConsoleDisplayMode',  \
    GetConsoleFontInfo, N, <NONE>,  'GetConsoleFontInfo',  \
    GetConsoleFontSize, N, <NONE>,  'GetConsoleFontSize',  \
    GetConsoleHardwareState, N, <NONE>,  'GetConsoleHardwareState',  \
    GetConsoleInputExeName, A, <NONE>,  'GetConsoleInputExeNameA',  \
    GetConsoleInputExeName, W, <NONE>,  'GetConsoleInputExeNameW',  \
    GetConsoleInputWaitHandle, N, <NONE>,  'GetConsoleInputWaitHandle',  \
    GetConsoleKeyboardLayoutName, A, <NONE>,  'GetConsoleKeyboardLayoutNameA',  \
    GetConsoleKeyboardLayoutName, W, <NONE>,  'GetConsoleKeyboardLayoutNameW',  \
    GetConsoleMode, N, <.hConsoleHandle, .lpMode>,  'GetConsoleMode',  \
    GetConsoleNlsMode, N, <NONE>,  'GetConsoleNlsMode',  \
    GetConsoleOutputCP, N, <VOID>,  'GetConsoleOutputCP',  \
    GetConsoleProcessList, N, <NONE>,  'GetConsoleProcessList',  \
    GetConsoleScreenBufferInfo, N, <.hConsoleOutput, .lpConsoleScreenBufferInfo>,  'GetConsoleScreenBufferInfo',  \
    GetConsoleSelectionInfo, N, <NONE>,  'GetConsoleSelectionInfo',  \
    GetConsoleTitle, A, <.lpConsoleTitle, .nSize>,  'GetConsoleTitleA',  \
    GetConsoleTitle, W, <.lpConsoleTitle, .nSize>,  'GetConsoleTitleW',  \
    GetConsoleWindow, N, <NONE>,  'GetConsoleWindow',  \
    GetCurrencyFormat, A, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpCurrencyStr, .cchCurrency>,  'GetCurrencyFormatA',  \
    GetCurrencyFormat, W, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpCurrencyStr, .cchCurrency>,  'GetCurrencyFormatW',  \
    GetCurrentActCtx, N, <NONE>,  'GetCurrentActCtx',  \
    GetCurrentConsoleFont, N, <NONE>,  'GetCurrentConsoleFont',  \
    GetCurrentDirectory, A, <.nBufferLength, .lpBuffer>,  'GetCurrentDirectoryA',  \
    GetCurrentDirectory, W, <.nBufferLength, .lpBuffer>,  'GetCurrentDirectoryW',  \
    GetCurrentProcess, N, <VOID>,  'GetCurrentProcess',  \
    GetCurrentProcessId, N, <VOID>,  'GetCurrentProcessId',  \
    GetCurrentThread, N, <VOID>,  'GetCurrentThread',  \
    GetCurrentThreadId, N, <VOID>,  'GetCurrentThreadId',  \
    GetDateFormat, A, <.Locale, .dwFlags, .lpDate, .lpFormat, .lpDateStr, .cchDate>,  'GetDateFormatA',  \
    GetDateFormat, W, <.Locale, .dwFlags, .lpDate, .lpFormat, .lpDateStr, .cchDate>,  'GetDateFormatW',  \
    GetDefaultCommConfig, A, <.lpszName, .lpCC, .lpdwSize>,  'GetDefaultCommConfigA',  \
    GetDefaultCommConfig, W, <.lpszName, .lpCC, .lpdwSize>,  'GetDefaultCommConfigW',  \
    GetDefaultSortkeySize, N, <NONE>,  'GetDefaultSortkeySize',  \
    GetDevicePowerState, N, <.hDevice, .pfOn>,  'GetDevicePowerState',  \
    GetDiskFreeSpace, A, <.lpRootPathName, .lpSectorsPerCluster, .lpBytesPerSector, .lpNumberOfFreeClusters, .lpTotalNumberOfClusters>,  'GetDiskFreeSpaceA',  \
    GetDiskFreeSpaceEx, A, <.lpDirectoryName, .lpFreeBytesAvailableToCaller, .lpTotalNumberOfBytes, .lpTotalNumberOfFreeBytes>,  'GetDiskFreeSpaceExA',  \
    GetDiskFreeSpaceEx, W, <.lpDirectoryName, .lpFreeBytesAvailableToCaller, .lpTotalNumberOfBytes, .lpTotalNumberOfFreeBytes>,  'GetDiskFreeSpaceExW',  \
    GetDiskFreeSpace, W, <.lpRootPathName, .lpSectorsPerCluster, .lpBytesPerSector, .lpNumberOfFreeClusters, .lpTotalNumberOfClusters>,  'GetDiskFreeSpaceW',  \
    GetDllDirectory, A, <NONE>,  'GetDllDirectoryA',  \
    GetDllDirectory, W, <NONE>,  'GetDllDirectoryW',  \
    GetDriveType, A, <.nDrive>,  'GetDriveTypeA',  \
    GetDriveType, W, <.nDrive>,  'GetDriveTypeW',  \
    GetEnvironmentStrings, A, <VOID>,  'GetEnvironmentStringsA',  \
    GetEnvironmentStrings, W, <VOID>,  'GetEnvironmentStringsW',  \
    GetEnvironmentVariable, A, <.lpName, .lpBuffer, .nSize>,  'GetEnvironmentVariableA',  \
    GetEnvironmentVariable, W, <.lpName, .lpBuffer, .nSize>,  'GetEnvironmentVariableW',  \
    GetExitCodeProcess, N, <.hProcess, .lpExitCode>,  'GetExitCodeProcess',  \
    GetExitCodeThread, N, <.hThread, .lpExitCode>,  'GetExitCodeThread',  \
    GetExpandedName, A, <.lpszSource, .lpszBuffer>,  'GetExpandedNameA',  \
    GetExpandedName, W, <.lpszSource, .lpszBuffer>,  'GetExpandedNameW',  \
    GetFileAttributes, A, <.lpFileName>,  'GetFileAttributesA',  \
    GetFileAttributesEx, A, <.lpFileName, .fInfoLevelId, .lpFileInformation>,  'GetFileAttributesExA',  \
    GetFileAttributesEx, W, <.lpFileName, .fInfoLevelId, .lpFileInformation>,  'GetFileAttributesExW',  \
    GetFileAttributes, W, <.lpFileName>,  'GetFileAttributesW',  \
    GetFileInformationByHandle, N, <.hFile, .lpFileInformation>,  'GetFileInformationByHandle',  \
    GetFileSize, N, <.hFile, .lpFileSizeHigh>,  'GetFileSize',  \
    GetFileSizeEx, N, <.hFile, .lpFileSize>,  'GetFileSizeEx',  \
    GetFileTime, N, <.hFile, .lpCreationTime, .lpLastAccessTime, .lpLastWriteTime>,  'GetFileTime',  \
    GetFileType, N, <.hFile>,  'GetFileType',  \
    GetFirmwareEnvironmentVariable, A, <NONE>,  'GetFirmwareEnvironmentVariableA',  \
    GetFirmwareEnvironmentVariable, W, <NONE>,  'GetFirmwareEnvironmentVariableW',  \
    GetFullPathName, A, <.lpFileName, .nBufferLength, .lpBuffer, .lpFilePart>,  'GetFullPathNameA',  \
    GetFullPathName, W, <.lpFileName, .nBufferLength, .lpBuffer, .lpFilePart>,  'GetFullPathNameW',  \
    GetGeoInfo, A, <NONE>,  'GetGeoInfoA',  \
    GetGeoInfo, W, <NONE>,  'GetGeoInfoW',  \
    GetHandleContext, N, <NONE>,  'GetHandleContext',  \
    GetHandleInformation, N, <.hObject, .lpdwFlags>,  'GetHandleInformation',  \
    GetLargestConsoleWindowSize, N, <.hConsoleOutput>,  'GetLargestConsoleWindowSize',  \
    GetLastError, N, <VOID>,  'GetLastError',  \
    GetLinguistLangSize, N, <NONE>,  'GetLinguistLangSize',  \
    GetLocalTime, N, <.lpSystemTime>,  'GetLocalTime',  \
    GetLocaleInfo, A, <.Locale, .LCType, .lpLCData, .cchData>,  'GetLocaleInfoA',  \
    GetLocaleInfo, W, <.Locale, .LCType, .lpLCData, .cchData>,  'GetLocaleInfoW',  \
    GetLogicalDriveStrings, A, <.nBufferLength, .lpBuffer>,  'GetLogicalDriveStringsA',  \
    GetLogicalDriveStrings, W, <.nBufferLength, .lpBuffer>,  'GetLogicalDriveStringsW',  \
    GetLogicalDrives, N, <VOID>,  'GetLogicalDrives',  \
    GetLogicalProcessorInformation, N, <NONE>,  'GetLogicalProcessorInformation',  \
    GetLongPathName, A, <.lpszShortPath, .lpszLongPath, .cchBuffer>,  'GetLongPathNameA',  \
    GetLongPathName, W, <.lpszShortPath, .lpszLongPath, .cchBuffer>,  'GetLongPathNameW',  \
    GetMailslotInfo, N, <.hMailslot, .lpMaxMessageSize, .lpNextSize, .lpMessageCount, .lpReadTimeout>,  'GetMailslotInfo',  \
    GetModuleFileName, A, <.hModule, .lpFileName, .nSize>,  'GetModuleFileNameA',  \
    GetModuleFileName, W, <.hModule, .lpFileName, .nSize>,  'GetModuleFileNameW',  \
    GetModuleHandle, A, <.lpModuleName>,  'GetModuleHandleA',  \
    GetModuleHandleEx, A, <NONE>,  'GetModuleHandleExA',  \
    GetModuleHandleEx, W, <NONE>,  'GetModuleHandleExW',  \
    GetModuleHandle, W, <.lpModuleName>,  'GetModuleHandleW',  \
    GetNamedPipeHandleState, A, <.hNamedPipe, .lpState, .lpCurInstances, .lpMaxCollectionCount, .lpCollectDataTimeout, .lpUserName, .nMaxUserNameSize>,  'GetNamedPipeHandleStateA',  \
    GetNamedPipeHandleState, W, <.hNamedPipe, .lpState, .lpCurInstances, .lpMaxCollectionCount, .lpCollectDataTimeout, .lpUserName, .nMaxUserNameSize>,  'GetNamedPipeHandleStateW',  \
    GetNamedPipeInfo, N, <.hNamedPipe, .lpFlags, .lpOutBufferSize, .lpInBufferSize, .lpMaxInstances>,  'GetNamedPipeInfo',  \
    GetNativeSystemInfo, N, <NONE>,  'GetNativeSystemInfo',  \
    GetNextVDMCommand, N, <NONE>,  'GetNextVDMCommand',  \
    GetNlsSectionName, N, <NONE>,  'GetNlsSectionName',  \
    GetNumaAvailableMemory, N, <NONE>,  'GetNumaAvailableMemory',  \
    GetNumaAvailableMemoryNode, N, <NONE>,  'GetNumaAvailableMemoryNode',  \
    GetNumaHighestNodeNumber, N, <NONE>,  'GetNumaHighestNodeNumber',  \
    GetNumaNodeProcessorMask, N, <NONE>,  'GetNumaNodeProcessorMask',  \
    GetNumaProcessorMap, N, <NONE>,  'GetNumaProcessorMap',  \
    GetNumaProcessorNode, N, <NONE>,  'GetNumaProcessorNode',  \
    GetNumberFormat, A, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpNumberStr, .cchNumber>,  'GetNumberFormatA',  \
    GetNumberFormat, W, <.Locale, .dwFlags, .lpValue, .lpFormat, .lpNumberStr, .cchNumber>,  'GetNumberFormatW',  \
    GetNumberOfConsoleFonts, N, <NONE>,  'GetNumberOfConsoleFonts',  \
    GetNumberOfConsoleInputEvents, N, <.hConsoleInput, .lpNumberOfEvents>,  'GetNumberOfConsoleInputEvents',  \
    GetNumberOfConsoleMouseButtons, N, <.lpNumberOfMouseButtons>,  'GetNumberOfConsoleMouseButtons',  \
    GetOEMCP, N, <VOID>,  'GetOEMCP',  \
    GetOverlappedResult, N, <.hFile, .lpOverlapped, .lpNumberOfBytesTransferred, .bWait>,  'GetOverlappedResult',  \
    GetPriorityClass, N, <.hProcess>,  'GetPriorityClass',  \
    GetPrivateProfileInt, A, <.lpApplicationName, .lpKeyName, .nDefault, .lpFileName>,  'GetPrivateProfileIntA',  \
    GetPrivateProfileInt, W, <.lpApplicationName, .lpKeyName, .nDefault, .lpFileName>,  'GetPrivateProfileIntW',  \
    GetPrivateProfileSection, A, <.lpAppName, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileSectionA',  \
    GetPrivateProfileSectionNames, A, <.lpszReturnBuffer, .nSize, .lpFileName>,  'GetPrivateProfileSectionNamesA',  \
    GetPrivateProfileSectionNames, W, <.lpszReturnBuffer, .nSize, .lpFileName>,  'GetPrivateProfileSectionNamesW',  \
    GetPrivateProfileSection, W, <.lpAppName, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileSectionW',  \
    GetPrivateProfileString, A, <.lpApplicationName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileStringA',  \
    GetPrivateProfileString, W, <.lpApplicationName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize, .lpFileName>,  'GetPrivateProfileStringW',  \
    GetPrivateProfileStruct, A, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'GetPrivateProfileStructA',  \
    GetPrivateProfileStruct, W, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'GetPrivateProfileStructW',  \
    GetProcAddress, N, <.hModule, .lpProcName>,  'GetProcAddress',  \
    GetProcessAffinityMask, N, <.hProcess, .lpProcessAffinityMask, .SystemAffinityMask>,  'GetProcessAffinityMask',  \
    GetProcessDEPPolicy, N, <NONE>,  'GetProcessDEPPolicy',  \
    GetProcessHandleCount, N, <NONE>,  'GetProcessHandleCount',  \
    GetProcessHeap, N, <VOID>,  'GetProcessHeap',  \
    GetProcessHeaps, N, <.NumberOfHeaps, .ProcessHeaps>,  'GetProcessHeaps',  \
    GetProcessId, N, <NONE>,  'GetProcessId',  \
    GetProcessIoCounters, N, <.hProcess, .lpIoCounters>,  'GetProcessIoCounters',  \
    GetProcessPriorityBoost, N, <.hProcess, .pDisablePriorityBoost>,  'GetProcessPriorityBoost',  \
    GetProcessShutdownParameters, N, <.lpdwLevel, .lpdwFlags>,  'GetProcessShutdownParameters',  \
    GetProcessTimes, N, <.hProcess, .lpCreationTime, .lpExitTime, .lpKernelTime, .lpUserTime>,  'GetProcessTimes',  \
    GetProcessVersion, N, <.ProcessId>,  'GetProcessVersion',  \
    GetProcessWorkingSetSize, N, <.hProcess, .lpMinimumWorkingSetSize, .lpMaximumWorkingSetSize>,  'GetProcessWorkingSetSize',  \
    GetProfileInt, A, <.lpAppName, .lpKeyName, .nDefault>,  'GetProfileIntA',  \
    GetProfileInt, W, <.lpAppName, .lpKeyName, .nDefault>,  'GetProfileIntW',  \
    GetProfileSection, A, <.lpAppName, .lpReturnedString, .nSize>,  'GetProfileSectionA',  \
    GetProfileSection, W, <.lpAppName, .lpReturnedString, .nSize>,  'GetProfileSectionW',  \
    GetProfileString, A, <.lpAppName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize>,  'GetProfileStringA',  \
    GetProfileString, W, <.lpAppName, .lpKeyName, .lpDefault, .lpReturnedString, .nSize>,  'GetProfileStringW',  \
    GetQueuedCompletionStatus, N, <.CompletionPort, .lpNumberOfBytesTransferred, .lpCompletionKey, .lpOverlapped, .dwMilliseconds>,  'GetQueuedCompletionStatus',  \
    GetShortPathName, A, <.lpszLongPath, .lpszShortPath, .cchBuffer>,  'GetShortPathNameA',  \
    GetShortPathName, W, <.lpszLongPath, .lpszShortPath, .cchBuffer>,  'GetShortPathNameW',  \
    GetStartupInfo, A, <.lpStartupInfo>,  'GetStartupInfoA',  \
    GetStartupInfo, W, <.lpStartupInfo>,  'GetStartupInfoW',  \
    GetStdHandle, N, <.nStdHandle>,  'GetStdHandle',  \
    GetStringType, A, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeA',  \
    GetStringTypeEx, A, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeExA',  \
    GetStringTypeEx, W, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeExW',  \
    GetStringType, W, <.Locale, .dwInfoType, .lpSrcStr, .cchSrc, .lpCharType>,  'GetStringTypeW',  \
    GetSystemDEPPolicy, N, <NONE>,  'GetSystemDEPPolicy',  \
    GetSystemDefaultLCID, N, <VOID>,  'GetSystemDefaultLCID',  \
    GetSystemDefaultLangID, N, <VOID>,  'GetSystemDefaultLangID',  \
    GetSystemDefaultUILanguage, N, <VOID>,  'GetSystemDefaultUILanguage',  \
    GetSystemDirectory, A, <.lpBuffer, .nSize>,  'GetSystemDirectoryA',  \
    GetSystemDirectory, W, <.lpBuffer, .nSize>,  'GetSystemDirectoryW',  \
    GetSystemInfo, N, <.lpSystemInfo>,  'GetSystemInfo',  \
    GetSystemPowerStatus, N, <.lpSystemPowerStatus>,  'GetSystemPowerStatus',  \
    GetSystemRegistryQuota, N, <NONE>,  'GetSystemRegistryQuota',  \
    GetSystemTime, N, <.lpSystemTime>,  'GetSystemTime',  \
    GetSystemTimeAdjustment, N, <.lpTimeAdjustment, .lpTimeIncrement, .lpTimeAdjustmentDisabled>,  'GetSystemTimeAdjustment',  \
    GetSystemTimeAsFileTime, N, <.lpSystemTimeAsFileTime>,  'GetSystemTimeAsFileTime',  \
    GetSystemTimes, N, <NONE>,  'GetSystemTimes',  \
    GetSystemWindowsDirectory, A, <.lpBuffer, .uSize>,  'GetSystemWindowsDirectoryA',  \
    GetSystemWindowsDirectory, W, <.lpBuffer, .uSize>,  'GetSystemWindowsDirectoryW',  \
    GetSystemWow64Directory, A, <NONE>,  'GetSystemWow64DirectoryA',  \
    GetSystemWow64Directory, W, <NONE>,  'GetSystemWow64DirectoryW',  \
    GetTapeParameters, N, <.hDevice, .dwOperation, .lpdwSize, .lpTapeInformation>,  'GetTapeParameters',  \
    GetTapePosition, N, <.hDevice, .dwPositionType, .lpdwPartition, .lpdwOffsetLow, .lpdwOffsetHigh>,  'GetTapePosition',  \
    GetTapeStatus, N, <.hDevice>,  'GetTapeStatus',  \
    GetTempFileName, A, <.lpszPath, .lpPrefixString, .wUnique, .lpTempFileName>,  'GetTempFileNameA',  \
    GetTempFileName, W, <.lpszPath, .lpPrefixString, .wUnique, .lpTempFileName>,  'GetTempFileNameW',  \
    GetTempPath, A, <.nBufferLength, .lpBuffer>,  'GetTempPathA',  \
    GetTempPath, W, <.nBufferLength, .lpBuffer>,  'GetTempPathW',  \
    GetThreadContext, N, <.hThread, .lpContext>,  'GetThreadContext',  \
    GetThreadIOPendingFlag, N, <NONE>,  'GetThreadIOPendingFlag',  \
    GetThreadLocale, N, <VOID>,  'GetThreadLocale',  \
    GetThreadPriority, N, <.hThread>,  'GetThreadPriority',  \
    GetThreadPriorityBoost, N, <.hThread, .pDisablePriorityBoost>,  'GetThreadPriorityBoost',  \
    GetThreadSelectorEntry, N, <.hThread, .dwSelector, .lpSelectorEntry>,  'GetThreadSelectorEntry',  \
    GetThreadTimes, N, <.hThread, .lpCreationTime, .lpExitTime, .lpKernelTime, .lpUserTime>,  'GetThreadTimes',  \
    GetTickCount, N, <VOID>,  'GetTickCount',  \
    GetTimeFormat, A, <.Locale, .dwFlags, .lpTime, .lpFormat, .lpTimeStr, .cchTime>,  'GetTimeFormatA',  \
    GetTimeFormat, W, <.Locale, .dwFlags, .lpTime, .lpFormat, .lpTimeStr, .cchTime>,  'GetTimeFormatW',  \
    GetTimeZoneInformation, N, <.lpTimeZoneInformation>,  'GetTimeZoneInformation',  \
    GetUserDefaultLCID, N, <VOID>,  'GetUserDefaultLCID',  \
    GetUserDefaultLangID, N, <VOID>,  'GetUserDefaultLangID',  \
    GetUserDefaultUILanguage, N, <VOID>,  'GetUserDefaultUILanguage',  \
    GetUserGeoID, N, <NONE>,  'GetUserGeoID',  \
    GetVDMCurrentDirectories, N, <NONE>,  'GetVDMCurrentDirectories',  \
    GetVersion, N, <VOID>,  'GetVersion',  \
    GetVersionEx, A, <.lpVersionInformation>,  'GetVersionExA',  \
    GetVersionEx, W, <.lpVersionInformation>,  'GetVersionExW',  \
    GetVolumeInformation, A, <.lpRootPathName, .lpVolumeNameBuffer, .nVolumeNameSize, .lpVolumeSerialNumber, .lpMaximumComponentLength, .lpFileSystemFlags, .lpFileSystemNameBuffer, .nFileSystemNameSize>,  'GetVolumeInformationA',  \
    GetVolumeInformation, W, <.lpRootPathName, .lpVolumeNameBuffer, .nVolumeNameSize, .lpVolumeSerialNumber, .lpMaximumComponentLength, .lpFileSystemFlags, .lpFileSystemNameBuffer, .nFileSystemNameSize>,  'GetVolumeInformationW',  \
    GetVolumeNameForVolumeMountPoint, A, <.lpszVolumeMountPoint, .lpszVolumeName, .cchBufferLength>,  'GetVolumeNameForVolumeMountPointA',  \
    GetVolumeNameForVolumeMountPoint, W, <.lpszVolumeMountPoint, .lpszVolumeName, .cchBufferLength>,  'GetVolumeNameForVolumeMountPointW',  \
    GetVolumePathName, A, <.lpszFileName, .lpszVolumePathName, .cchBufferLength>,  'GetVolumePathNameA',  \
    GetVolumePathName, W, <.lpszFileName, .lpszVolumePathName, .cchBufferLength>,  'GetVolumePathNameW',  \
    GetVolumePathNamesForVolumeName, A, <NONE>,  'GetVolumePathNamesForVolumeNameA',  \
    GetVolumePathNamesForVolumeName, W, <NONE>,  'GetVolumePathNamesForVolumeNameW',  \
    GetWindowsDirectory, A, <.lpBuffer, .nSize>,  'GetWindowsDirectoryA',  \
    GetWindowsDirectory, W, <.lpBuffer, .nSize>,  'GetWindowsDirectoryW',  \
    GetWriteWatch, N, <.dwFlags, .lpBaseAddress, .dwRegionSize, .lpAddresses, .lpdwCount, .lpdwGranularity>,  'GetWriteWatch',  \
    GlobalAddAtom, A, <.lpString>,  'GlobalAddAtomA',  \
    GlobalAddAtom, W, <.lpString>,  'GlobalAddAtomW',  \
    GlobalAlloc, N, <.uFlags, .dwBytes>,  'GlobalAlloc',  \
    GlobalCompact, N, <.dwMinFree>,  'GlobalCompact',  \
    GlobalDeleteAtom, N, <.nAtom>,  'GlobalDeleteAtom',  \
    GlobalFindAtom, A, <.lpString>,  'GlobalFindAtomA',  \
    GlobalFindAtom, W, <.lpString>,  'GlobalFindAtomW',  \
    GlobalFix, N, <.hMem>,  'GlobalFix',  \
    GlobalFlags, N, <.hMem>,  'GlobalFlags',  \
    GlobalFree, N, <.hMem>,  'GlobalFree',  \
    GlobalGetAtomName, A, <.nAtom, .lpBuffer, .nSize>,  'GlobalGetAtomNameA',  \
    GlobalGetAtomName, W, <.nAtom, .lpBuffer, .nSize>,  'GlobalGetAtomNameW',  \
    GlobalHandle, N, <.wMem>,  'GlobalHandle',  \
    GlobalLock, N, <.hMem>,  'GlobalLock',  \
    GlobalMemoryStatus, N, <.lpBuffer>,  'GlobalMemoryStatus',  \
    GlobalMemoryStatusEx, N, <.lpBuffer>,  'GlobalMemoryStatusEx',  \
    GlobalReAlloc, N, <.hMem, .dwBytes, .wFlags>,  'GlobalReAlloc',  \
    GlobalSize, N, <.hMem>,  'GlobalSize',  \
    GlobalUnWire, N, <.hMem>,  'GlobalUnWire',  \
    GlobalUnfix, N, <.hMem>,  'GlobalUnfix',  \
    GlobalUnlock, N, <.hMem>,  'GlobalUnlock',  \
    GlobalWire, N, <.hMem>,  'GlobalWire',  \
    Heap32First, N, <.lphe, .th32ProcessID, .th32HeapID>,  'Heap32First',  \
    Heap32ListFirst, N, <.hSnapshot, .lphl>,  'Heap32ListFirst',  \
    Heap32ListNext, N, <.hSnapshot, .lphl>,  'Heap32ListNext',  \
    Heap32Next, N, <.lphe>,  'Heap32Next',  \
    HeapAlloc, N, <.hHeap, .dwFlags, .dwBytes>,  'HeapAlloc',  \
    HeapCompact, N, <.hHeap, .dwFlags>,  'HeapCompact',  \
    HeapCreate, N, <.flOptions, .dwInitialSize, .dwMaximumSize>,  'HeapCreate',  \
    HeapCreateTags, W, <NONE>,  'HeapCreateTagsW',  \
    HeapDestroy, N, <.hHeap>,  'HeapDestroy',  \
    HeapExtend, N, <NONE>,  'HeapExtend',  \
    HeapFree, N, <.hHeap, .dwFlags, .lpMem>,  'HeapFree',  \
    HeapLock, N, <.hHeap>,  'HeapLock',  \
    HeapQueryInformation, N, <NONE>,  'HeapQueryInformation',  \
    HeapQueryTag, W, <NONE>,  'HeapQueryTagW',  \
    HeapReAlloc, N, <.hHeap, .dwFlags, .lpMem, .dwBytes>,  'HeapReAlloc',  \
    HeapSetInformation, N, <NONE>,  'HeapSetInformation',  \
    HeapSize, N, <.hHeap, .dwFlags, .lpMem>,  'HeapSize',  \
    HeapSummary, N, <NONE>,  'HeapSummary',  \
    HeapUnlock, N, <.hHeap>,  'HeapUnlock',  \
    HeapUsage, N, <NONE>,  'HeapUsage',  \
    HeapValidate, N, <.hHeap, .dwFlags, .lpMem>,  'HeapValidate',  \
    HeapWalk, N, <.hHeap, .lpEntry>,  'HeapWalk',  \
    InitAtomTable, N, <.nSize>,  'InitAtomTable',  \
    InitializeCriticalSection, N, <.lpCriticalSection>,  'InitializeCriticalSection',  \
    InitializeCriticalSectionAndSpinCount, N, <.lpCriticalSection, .dwSpinCount>,  'InitializeCriticalSectionAndSpinCount',  \
    InitializeSListHead, N, <NONE>,  'InitializeSListHead',  \
    InterlockedCompareExchange, N, <.Destination, .Exchange, .Comperand>,  'InterlockedCompareExchange',  \
    InterlockedDecrement, N, <.lpAddend>,  'InterlockedDecrement',  \
    InterlockedExchange, N, <.Target, .Value>,  'InterlockedExchange',  \
    InterlockedExchangeAdd, N, <.Addend, .Value>,  'InterlockedExchangeAdd',  \
    InterlockedFlushSList, N, <NONE>,  'InterlockedFlushSList',  \
    InterlockedIncrement, N, <.lpAddend>,  'InterlockedIncrement',  \
    InterlockedPopEntrySList, N, <NONE>,  'InterlockedPopEntrySList',  \
    InterlockedPushEntrySList, N, <NONE>,  'InterlockedPushEntrySList',  \
    InvalidateConsoleDIBits, N, <NONE>,  'InvalidateConsoleDIBits',  \
    IsBadCodePtr, N, <.lpfn>,  'IsBadCodePtr',  \
    IsBadHugeReadPtr, N, <.lp, .ucb>,  'IsBadHugeReadPtr',  \
    IsBadHugeWritePtr, N, <.lp, .ucb>,  'IsBadHugeWritePtr',  \
    IsBadReadPtr, N, <.lp, .ucb>,  'IsBadReadPtr',  \
    IsBadStringPtr, A, <.lpsz, .ucchMax>,  'IsBadStringPtrA',  \
    IsBadStringPtr, W, <.lpsz, .ucchMax>,  'IsBadStringPtrW',  \
    IsBadWritePtr, N, <.lp, .ucb>,  'IsBadWritePtr',  \
    IsDBCSLeadByte, N, <.bTestChar>,  'IsDBCSLeadByte',  \
    IsDBCSLeadByteEx, N, <.CodePage, .TestChar>,  'IsDBCSLeadByteEx',  \
    IsDebuggerPresent, N, <VOID>,  'IsDebuggerPresent',  \
    IsProcessInJob, N, <NONE>,  'IsProcessInJob',  \
    IsProcessorFeaturePresent, N, <.ProcessorFeature>,  'IsProcessorFeaturePresent',  \
    IsSystemResumeAutomatic, N, <VOID>,  'IsSystemResumeAutomatic',  \
    IsValidCodePage, N, <.CodePage>,  'IsValidCodePage',  \
    IsValidLanguageGroup, N, <.LanguageGroup, .dwFlags>,  'IsValidLanguageGroup',  \
    IsValidLocale, N, <.Locale, .dwFlags>,  'IsValidLocale',  \
    IsValidUILanguage, N, <NONE>,  'IsValidUILanguage',  \
    IsWow64Process, N, <NONE>,  'IsWow64Process',  \
    LCMapString, A, <.Locale, .dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'LCMapStringA',  \
    LCMapString, W, <.Locale, .dwMapFlags, .lpSrcStr, .cchSrc, .lpDestStr, .cchDest>,  'LCMapStringW',  \
    LZClose, N, <.hfFile>,  'LZClose',  \
    LZCloseFile, N, <NONE>,  'LZCloseFile',  \
    LZCopy, N, <.hfSource, .hfDest>,  'LZCopy',  \
    LZCreateFile, W, <NONE>,  'LZCreateFileW',  \
    LZDone, N, <VOID>,  'LZDone',  \
    LZInit, N, <.hfSrc>,  'LZInit',  \
    LZOpenFile, A, <.lpszFile, .lpOf, .style>,  'LZOpenFileA',  \
    LZOpenFile, W, <.lpszFile, .lpOf, .style>,  'LZOpenFileW',  \
    LZRead, N, <.hfFile, .lpvBuf, .cbread>,  'LZRead',  \
    LZSeek, N, <.hfFile, .lOffset, .nOrigin>,  'LZSeek',  \
    LZStart, N, <VOID>,  'LZStart',  \
    LeaveCriticalSection, N, <.lpCriticalSection>,  'LeaveCriticalSection',  \
    LoadLibrary, A, <.lpLibFileName>,  'LoadLibraryA',  \
    LoadLibraryEx, A, <.lpLibFileName, .hFile, .dwFlags>,  'LoadLibraryExA',  \
    LoadLibraryEx, W, <.lpLibFileName, .hFile, .dwFlags>,  'LoadLibraryExW',  \
    LoadLibrary, W, <.lpLibFileName>,  'LoadLibraryW',  \
    LoadModule, N, <.lpModuleName, .lpParameterBlock>,  'LoadModule',  \
    LoadResource, N, <.hInstance, .hResInfo>,  'LoadResource',  \
    LocalAlloc, N, <.wFlags, .wBytes>,  'LocalAlloc',  \
    LocalCompact, N, <.uMinFree>,  'LocalCompact',  \
    LocalFileTimeToFileTime, N, <.lpLocalFileTime, .lpFileTime>,  'LocalFileTimeToFileTime',  \
    LocalFlags, N, <.hMem>,  'LocalFlags',  \
    LocalFree, N, <.hMem>,  'LocalFree',  \
    LocalHandle, N, <.wMem>,  'LocalHandle',  \
    LocalLock, N, <.hMem>,  'LocalLock',  \
    LocalReAlloc, N, <.hMem, .wBytes, .wFlags>,  'LocalReAlloc',  \
    LocalShrink, N, <.hMem, .cbNewSize>,  'LocalShrink',  \
    LocalSize, N, <.hMem>,  'LocalSize',  \
    LocalUnlock, N, <.hMem>,  'LocalUnlock',  \
    LockFile, N, <.hFile, .dwFileOffsetLow, .dwFileOffsetHigh, .nNumberOfBytesToLockLow, .nNumberOfBytesToLockHigh>,  'LockFile',  \
    LockFileEx, N, <.hFile, .dwFlags, .dwReserved, .nNumberOfBytesToLockLow, .nNumberOfBytesToLockHigh, .lpOverlapped>,  'LockFileEx',  \
    LockResource, N, <.hResData>,  'LockResource',  \
    MapUserPhysicalPages, N, <.VirtualAddress, .NumberOfPages, .PageArray>,  'MapUserPhysicalPages',  \
    MapUserPhysicalPagesScatter, N, <.VirtualAddresses, .NumberOfPages, .PageArray>,  'MapUserPhysicalPagesScatter',  \
    MapViewOfFile, N, <.hFileMappingObject, .dwDesiredAccess, .dwFileOffsetHigh, .dwFileOffsetLow, .dwNumberOfBytesToMap>,  'MapViewOfFile',  \
    MapViewOfFileEx, N, <.hFileMappingObject, .dwDesiredAccess, .dwFileOffsetHigh, .dwFileOffsetLow, .dwNumberOfBytesToMap, .lpBaseAddress>,  'MapViewOfFileEx',  \
    Module32First, A, <.hSnapshot, .lpme>,  'Module32First',  \
    Module32First, W, <.hSnapshot, .lpme>,  'Module32FirstW',  \
    Module32Next, A, <.hSnapshot, .lpme>,  'Module32Next',  \
    Module32Next, W, <.hSnapshot, .lpme>,  'Module32NextW',  \
    MoveFile, A, <.lpExistingFileName, .lpNewFileName>,  'MoveFileA',  \
    MoveFileEx, A, <.lpExistingFileName, .lpNewFileName, .dwFlags>,  'MoveFileExA',  \
    MoveFileEx, W, <.lpExistingFileName, .lpNewFileName, .dwFlags>,  'MoveFileExW',  \
    MoveFile, W, <.lpExistingFileName, .lpNewFileName>,  'MoveFileW',  \
    MoveFileWithProgress, A, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .dwFlags>,  'MoveFileWithProgressA',  \
    MoveFileWithProgress, W, <.lpExistingFileName, .lpNewFileName, .lpProgressRoutine, .lpData, .dwFlags>,  'MoveFileWithProgressW',  \
    MulDiv, N, <.nNumber, .nNumerator, .nDenominator>,  'MulDiv',  \
    MultiByteToWideChar, N, <.CodePage, .dwFlags, .lpMultiByteStr, .cchMultiByte, .lpWideCharStr, .cchWideChar>,  'MultiByteToWideChar',  \
    NlsConvertIntegerToString, N, <NONE>,  'NlsConvertIntegerToString',  \
    NlsGetCacheUpdateCount, N, <NONE>,  'NlsGetCacheUpdateCount',  \
    NlsResetProcessLocale, N, <NONE>,  'NlsResetProcessLocale',  \
    NumaVirtualQueryNode, N, <NONE>,  'NumaVirtualQueryNode',  \
    OpenConsole, W, <NONE>,  'OpenConsoleW',  \
    OpenDataFile, N, <NONE>,  'OpenDataFile',  \
    OpenEvent, A, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenEventA',  \
    OpenEvent, W, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenEventW',  \
    OpenFile, N, <.lpFileName, .lpReOpenBuff, .wStyle>,  'OpenFile',  \
    OpenFileMapping, A, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenFileMappingA',  \
    OpenFileMapping, W, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenFileMappingW',  \
    OpenJobObject, A, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenJobObjectA',  \
    OpenJobObject, W, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenJobObjectW',  \
    OpenMutex, A, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenMutexA',  \
    OpenMutex, W, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenMutexW',  \
    OpenProcess, N, <.dwDesiredAccess, .bInheritHandle, .dwProcessId>,  'OpenProcess',  \
    OpenProfileUserMapping, N, <NONE>,  'OpenProfileUserMapping',  \
    OpenSemaphore, A, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenSemaphoreA',  \
    OpenSemaphore, W, <.dwDesiredAccess, .bInheritHandle, .lpName>,  'OpenSemaphoreW',  \
    OpenThread, N, <.dwDesiredAccess, .bInheritHandle, .dwThreadId>,  'OpenThread',  \
    OpenWaitableTimer, A, <.dwDesiredAccess, .bInheritHandle, .lpTimerName>,  'OpenWaitableTimerA',  \
    OpenWaitableTimer, W, <.dwDesiredAccess, .bInheritHandle, .lpTimerName>,  'OpenWaitableTimerW',  \
    OutputDebugString, A, <.lpOutputString>,  'OutputDebugStringA',  \
    OutputDebugString, W, <.lpOutputString>,  'OutputDebugStringW',  \
    PeekConsoleInput, A, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'PeekConsoleInputA',  \
    PeekConsoleInput, W, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'PeekConsoleInputW',  \
    PeekNamedPipe, N, <.hNamedPipe, .lpBuffer, .nBufferSize, .lpBytesRead, .lpTotalBytesAvail, .lpBytesLeftThisMessage>,  'PeekNamedPipe',  \
    PostQueuedCompletionStatus, N, <.CompletionPort, .dwNumberOfBytesTransferred, .dwCompletionKey, .lpOverlapped>,  'PostQueuedCompletionStatus',  \
    PrepareTape, N, <.hDevice, .dwOperation, .bimmediate>,  'PrepareTape',  \
    PrivCopyFileEx, W, <NONE>,  'PrivCopyFileExW',  \
    PrivMoveFileIdentity, W, <NONE>,  'PrivMoveFileIdentityW',  \
    Process32First, A, <.hSnapshot, .lppe>,  'Process32First',  \
    Process32First, W, <.hSnapshot, .lppe>,  'Process32FirstW',  \
    Process32Next, A, <.hSnapshot, .lppe>,  'Process32Next',  \
    Process32Next, W, <.hSnapshot, .lppe>,  'Process32NextW',  \
    ProcessIdToSessionId, N, <.dwProcessId, .pSessionId>,  'ProcessIdToSessionId',  \
    PulseEvent, N, <.hEvent>,  'PulseEvent',  \
    PurgeComm, N, <.hFile, .dwFlags>,  'PurgeComm',  \
    QueryActCtx, W, <NONE>,  'QueryActCtxW',  \
    QueryDepthSList, N, <NONE>,  'QueryDepthSList',  \
    QueryDosDevice, A, <.lpDeviceName, .lpTargetPath, .ucchMax>,  'QueryDosDeviceA',  \
    QueryDosDevice, W, <.lpDeviceName, .lpTargetPath, .ucchMax>,  'QueryDosDeviceW',  \
    QueryInformationJobObject, N, <.hJob, .JobObjectInformationClass, .lpJobObjectInformation, .cbJobObjectInformationLength, .lpReturnLength>,  'QueryInformationJobObject',  \
    QueryMemoryResourceNotification, N, <NONE>,  'QueryMemoryResourceNotification',  \
    QueryPerformanceCounter, N, <.lpPerformanceCount>,  'QueryPerformanceCounter',  \
    QueryPerformanceFrequency, N, <.lpFrequency>,  'QueryPerformanceFrequency',  \
    QueryWin31IniFilesMappedToRegistry, N, <NONE>,  'QueryWin31IniFilesMappedToRegistry',  \
    QueueUserAPC, N, <.pfnAPC, .hThread, .dwData>,  'QueueUserAPC',  \
    QueueUserWorkItem, N, <.lFunction, .Context, .Flags>,  'QueueUserWorkItem',  \
    RaiseException, N, <.dwExceptionCode, .dwExceptionFlags, .nNumberOfArguments, .lpArguments>,  'RaiseException',  \
    ReadConsole, A, <.hConsoleInput, .lpBuffer, .nNumberOfCharsToRead, .lpNumberOfCharsRead, .lpReserved>,  'ReadConsoleA',  \
    ReadConsoleInput, A, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'ReadConsoleInputA',  \
    ReadConsoleInputEx, A, <NONE>,  'ReadConsoleInputExA',  \
    ReadConsoleInputEx, W, <NONE>,  'ReadConsoleInputExW',  \
    ReadConsoleInput, W, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsRead>,  'ReadConsoleInputW',  \
    ReadConsoleOutput, A, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpReadRegion>,  'ReadConsoleOutputA',  \
    ReadConsoleOutputAttribute, N, <.hConsoleOutput, .lpAttribute, .nLength, .dwReadCoord, .lpNumberOfAttrsRead>,  'ReadConsoleOutputAttribute',  \
    ReadConsoleOutputCharacter, A, <.hConsoleOutput, .lpCharacter, .nLength, .dwReadCoord, .lpNumberOfCharsRead>,  'ReadConsoleOutputCharacterA',  \
    ReadConsoleOutputCharacter, W, <.hConsoleOutput, .lpCharacter, .nLength, .dwReadCoord, .lpNumberOfCharsRead>,  'ReadConsoleOutputCharacterW',  \
    ReadConsoleOutput, W, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpReadRegion>,  'ReadConsoleOutputW',  \
    ReadConsole, W, <.hConsoleInput, .lpBuffer, .nNumberOfCharsToRead, .lpNumberOfCharsRead, .lpReserved>,  'ReadConsoleW',  \
    ReadDirectoryChanges, W, <NONE>,  'ReadDirectoryChangesW',  \
    ReadFile, N, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpNumberOfBytesRead, .lpOverlapped>,  'ReadFile',  \
    ReadFileEx, N, <.hFile, .lpBuffer, .nNumberOfBytesToRead, .lpOverlapped, .lpCompletionRoutine>,  'ReadFileEx',  \
    ReadFileScatter, N, <.hFile, .aSegmentArray, .nNumberOfBytesToRead, .lpReserved, .lpOverlapped>,  'ReadFileScatter',  \
    ReadProcessMemory, N, <.hProcess, .lpBaseAddress, .lpBuffer, .nSize, .lpNumberOfBytesWritten>,  'ReadProcessMemory',  \
    RegisterConsoleIME, N, <NONE>,  'RegisterConsoleIME',  \
    RegisterConsoleOS2, N, <NONE>,  'RegisterConsoleOS2',  \
    RegisterConsoleVDM, N, <NONE>,  'RegisterConsoleVDM',  \
    RegisterWaitForInputIdle, N, <NONE>,  'RegisterWaitForInputIdle',  \
    RegisterWaitForSingleObject, N, <.phNewWaitObject, .hObject, .Callback, .Context, .dwMilliseconds, .dwFlags>,  'RegisterWaitForSingleObject',  \
    RegisterWaitForSingleObjectEx, N, <.hObject, .Callback, .Context, .dwMilliseconds, .dwFlags>,  'RegisterWaitForSingleObjectEx',  \
    RegisterWowBaseHandlers, N, <NONE>,  'RegisterWowBaseHandlers',  \
    RegisterWowExec, N, <NONE>,  'RegisterWowExec',  \
    ReleaseActCtx, N, <NONE>,  'ReleaseActCtx',  \
    ReleaseMutex, N, <.hMutex>,  'ReleaseMutex',  \
    ReleaseSemaphore, N, <.hSemaphore, .lReleaseCount, .lpPreviousCount>,  'ReleaseSemaphore',  \
    RemoveDirectory, A, <.lpPathName>,  'RemoveDirectoryA',  \
    RemoveDirectory, W, <.lpPathName>,  'RemoveDirectoryW',  \
    RemoveLocalAlternateComputerName, A, <NONE>,  'RemoveLocalAlternateComputerNameA',  \
    RemoveLocalAlternateComputerName, W, <NONE>,  'RemoveLocalAlternateComputerNameW',  \
    RemoveVectoredExceptionHandler, N, <NONE>,  'RemoveVectoredExceptionHandler',  \
    ReplaceFile, A, <.lpReplacedFileName, .lpReplacementFileName, .lpBackupFileName, .dwReplaceFlags, .lpExclude, .lpReserved>,  'ReplaceFileA',  \
    ReplaceFile, W, <.lpReplacedFileName, .lpReplacementFileName, .lpBackupFileName, .dwReplaceFlags, .lpExclude, .lpReserved>,  'ReplaceFileW',  \
    RequestDeviceWakeup, N, <.hDevice>,  'RequestDeviceWakeup',  \
    RequestWakeupLatency, N, <.latency>,  'RequestWakeupLatency',  \
    ResetEvent, N, <.hEvent>,  'ResetEvent',  \
    ResetWriteWatch, N, <.lpBaseAddress, .dwRegionSize>,  'ResetWriteWatch',  \
    RestoreLastError, N, <NONE>,  'RestoreLastError',  \
    ResumeThread, N, <.hThread>,  'ResumeThread',  \
    RtlCaptureContext, N, <NONE>,  'RtlCaptureContext',  \
    RtlCaptureStackBackTrace, N, <NONE>,  'RtlCaptureStackBackTrace',  \
    RtlFillMemory, N, <.Destination, .Length, .Fill>,  'RtlFillMemory',  \
    RtlMoveMemory, N, <.dest, .source, .numBytes>,  'RtlMoveMemory',  \
    RtlUnwind, N, <NONE>,  'RtlUnwind',  \
    RtlZeroMemory, N, <.dest, .numBytes>,  'RtlZeroMemory',  \
    ScrollConsoleScreenBuffer, A, <.hConsoleOutput, .lpScrollRectangle, .lpClipRectangle, .dwDestinationOrigin, .lpFill>,  'ScrollConsoleScreenBufferA',  \
    ScrollConsoleScreenBuffer, W, <.hConsoleOutput, .lpScrollRectangle, .lpClipRectangle, .dwDestinationOrigin, .lpFill>,  'ScrollConsoleScreenBufferW',  \
    SearchPath, A, <.lpPath, .lpFileName, .lpExtension, .nBufferLength, .lpBuffer, .lpFilePart>,  'SearchPathA',  \
    SearchPath, W, <.lpPath, .lpFileName, .lpExtension, .nBufferLength, .lpBuffer, .lpFilePart>,  'SearchPathW',  \
    SetCPGlobal, N, <NONE>,  'SetCPGlobal',  \
    SetCalendarInfo, A, <.Locale, .Calendar, .CalType, .lpCalData>,  'SetCalendarInfoA',  \
    SetCalendarInfo, W, <.Locale, .Calendar, .CalType, .lpCalData>,  'SetCalendarInfoW',  \
    SetClientTimeZoneInformation, N, <NONE>,  'SetClientTimeZoneInformation',  \
    SetComPlusPackageInstallStatus, N, <NONE>,  'SetComPlusPackageInstallStatus',  \
    SetCommBreak, N, <.nCid>,  'SetCommBreak',  \
    SetCommConfig, N, <.hCommDev, .lpCC, .dwSize>,  'SetCommConfig',  \
    SetCommMask, N, <.hFile, .dwEvtMask>,  'SetCommMask',  \
    SetCommState, N, <.hCommDev, .lpDCB>,  'SetCommState',  \
    SetCommTimeouts, N, <.hFile, .lpCommTimeouts>,  'SetCommTimeouts',  \
    SetComputerName, A, <.lpComputerName>,  'SetComputerNameA',  \
    SetComputerNameEx, A, <.NameType, .lpBuffer>,  'SetComputerNameExA',  \
    SetComputerNameEx, W, <.NameType, .lpBuffer>,  'SetComputerNameExW',  \
    SetComputerName, W, <.lpComputerName>,  'SetComputerNameW',  \
    SetConsoleActiveScreenBuffer, N, <.hConsoleOutput>,  'SetConsoleActiveScreenBuffer',  \
    SetConsoleCP, N, <.wCodePageID>,  'SetConsoleCP',  \
    SetConsoleCommandHistoryMode, N, <NONE>,  'SetConsoleCommandHistoryMode',  \
    SetConsoleCtrlHandler, N, <.HandlerRoutine, .Add>,  'SetConsoleCtrlHandler',  \
    SetConsoleCursor, N, <NONE>,  'SetConsoleCursor',  \
    SetConsoleCursorInfo, N, <.hConsoleOutput, .lpConsoleCursorInfo>,  'SetConsoleCursorInfo',  \
    SetConsoleCursorMode, N, <NONE>,  'SetConsoleCursorMode',  \
    SetConsoleCursorPosition, N, <.hConsoleOutput, .dwCursorPosition>,  'SetConsoleCursorPosition',  \
    SetConsoleDisplayMode, N, <NONE>,  'SetConsoleDisplayMode',  \
    SetConsoleFont, N, <NONE>,  'SetConsoleFont',  \
    SetConsoleHardwareState, N, <NONE>,  'SetConsoleHardwareState',  \
    SetConsoleIcon, N, <NONE>,  'SetConsoleIcon',  \
    SetConsoleInputExeName, A, <NONE>,  'SetConsoleInputExeNameA',  \
    SetConsoleInputExeName, W, <NONE>,  'SetConsoleInputExeNameW',  \
    SetConsoleKeyShortcuts, N, <NONE>,  'SetConsoleKeyShortcuts',  \
    SetConsoleLocalEUDC, N, <NONE>,  'SetConsoleLocalEUDC',  \
    SetConsoleMaximumWindowSize, N, <NONE>,  'SetConsoleMaximumWindowSize',  \
    SetConsoleMenuClose, N, <NONE>,  'SetConsoleMenuClose',  \
    SetConsoleMode, N, <.hConsoleHandle, .dwMode>,  'SetConsoleMode',  \
    SetConsoleNlsMode, N, <NONE>,  'SetConsoleNlsMode',  \
    SetConsoleNumberOfCommands, A, <NONE>,  'SetConsoleNumberOfCommandsA',  \
    SetConsoleNumberOfCommands, W, <NONE>,  'SetConsoleNumberOfCommandsW',  \
    SetConsoleOS2OemFormat, N, <NONE>,  'SetConsoleOS2OemFormat',  \
    SetConsoleOutputCP, N, <.wCodePageID>,  'SetConsoleOutputCP',  \
    SetConsolePalette, N, <NONE>,  'SetConsolePalette',  \
    SetConsoleScreenBufferSize, N, <.hConsoleOutput, .dwSize>,  'SetConsoleScreenBufferSize',  \
    SetConsoleTextAttribute, N, <.hConsoleOutput, .wAttributes>,  'SetConsoleTextAttribute',  \
    SetConsoleTitle, A, <.lpConsoleTitle>,  'SetConsoleTitleA',  \
    SetConsoleTitle, W, <.lpConsoleTitle>,  'SetConsoleTitleW',  \
    SetConsoleWindowInfo, N, <.hConsoleOutput, .bAbsolute, .lpConsoleWindow>,  'SetConsoleWindowInfo',  \
    SetCriticalSectionSpinCount, N, <.lpCriticalSection, .dwSpinCount>,  'SetCriticalSectionSpinCount',  \
    SetCurrentDirectory, A, <.lpPathName>,  'SetCurrentDirectoryA',  \
    SetCurrentDirectory, W, <.lpPathName>,  'SetCurrentDirectoryW',  \
    SetDefaultCommConfig, A, <.lpszName, .lpCC, .dwSize>,  'SetDefaultCommConfigA',  \
    SetDefaultCommConfig, W, <.lpszName, .lpCC, .dwSize>,  'SetDefaultCommConfigW',  \
    SetDllDirectory, A, <NONE>,  'SetDllDirectoryA',  \
    SetDllDirectory, W, <NONE>,  'SetDllDirectoryW',  \
    SetEndOfFile, N, <.hFile>,  'SetEndOfFile',  \
    SetEnvironmentVariable, A, <.lpName, .lpValue>,  'SetEnvironmentVariableA',  \
    SetEnvironmentVariable, W, <.lpName, .lpValue>,  'SetEnvironmentVariableW',  \
    SetErrorMode, N, <.wMode>,  'SetErrorMode',  \
    SetEvent, N, <.hEvent>,  'SetEvent',  \
    SetFileApisToANSI, N, <VOID>,  'SetFileApisToANSI',  \
    SetFileApisToOEM, N, <VOID>,  'SetFileApisToOEM',  \
    SetFileAttributes, A, <.lpFileName, .dwFileAttributes>,  'SetFileAttributesA',  \
    SetFileAttributes, W, <.lpFileName, .dwFileAttributes>,  'SetFileAttributesW',  \
    SetFilePointer, N, <.hFile, .lDistanceToMove, .lpDistanceToMoveHigh, .dwMoveMethod>,  'SetFilePointer',  \
    SetFilePointerEx, N, <.hFile, .liDistanceToMove, .lpNewFilePointer, .dwMoveMethod>,  'SetFilePointerEx',  \
    SetFileShortName, A, <NONE>,  'SetFileShortNameA',  \
    SetFileShortName, W, <NONE>,  'SetFileShortNameW',  \
    SetFileTime, N, <.hFile, .lpCreationTime, .lpLastAccessTime, .lpLastWriteTime>,  'SetFileTime',  \
    SetFileValidData, N, <NONE>,  'SetFileValidData',  \
    SetFirmwareEnvironmentVariable, A, <NONE>,  'SetFirmwareEnvironmentVariableA',  \
    SetFirmwareEnvironmentVariable, W, <NONE>,  'SetFirmwareEnvironmentVariableW',  \
    SetHandleContext, N, <NONE>,  'SetHandleContext',  \
    SetHandleCount, N, <.wNumber>,  'SetHandleCount',  \
    SetHandleInformation, N, <.hObject, .dwMask, .dwFlags>,  'SetHandleInformation',  \
    SetInformationJobObject, N, <.hJob, .JobObjectInformationClass, .lpJobObjectInformation, .cbJobObjectInformationLength>,  'SetInformationJobObject',  \
    SetLastConsoleEventActive, N, <NONE>,  'SetLastConsoleEventActive',  \
    SetLastError, N, <.dwErrCode>,  'SetLastError',  \
    SetLocalPrimaryComputerName, A, <NONE>,  'SetLocalPrimaryComputerNameA',  \
    SetLocalPrimaryComputerName, W, <NONE>,  'SetLocalPrimaryComputerNameW',  \
    SetLocalTime, N, <.lpSystemTime>,  'SetLocalTime',  \
    SetLocaleInfo, A, <.Locale, .LCType, .lpLCData>,  'SetLocaleInfoA',  \
    SetLocaleInfo, W, <.Locale, .LCType, .lpLCData>,  'SetLocaleInfoW',  \
    SetMailslotInfo, N, <.hMailslot, .lReadTimeout>,  'SetMailslotInfo',  \
    SetMessageWaitingIndicator, N, <.hMsgIndicator, .ulMsgCount>,  'SetMessageWaitingIndicator',  \
    SetNamedPipeHandleState, N, <.hNamedPipe, .lpMode, .lpMaxCollectionCount, .lpCollectDataTimeout>,  'SetNamedPipeHandleState',  \
    SetPriorityClass, N, <.hProcess, .dwPriorityClass>,  'SetPriorityClass',  \
    SetProcessAffinityMask, N, <.hProcess, .dwProcessAffinityMask>,  'SetProcessAffinityMask',  \
    SetProcessDEPPolicy, N, <NONE>,  'SetProcessDEPPolicy',  \
    SetProcessPriorityBoost, N, <.hProcess, .bDisablePriorityBoost>,  'SetProcessPriorityBoost',  \
    SetProcessShutdownParameters, N, <.dwLevel, .dwFlags>,  'SetProcessShutdownParameters',  \
    SetProcessWorkingSetSize, N, <.hProcess, .dwMinimumWorkingSetSize, .dwMaximumWorkingSetSize>,  'SetProcessWorkingSetSize',  \
    SetStdHandle, N, <.nStdHandle, .nHandle>,  'SetStdHandle',  \
    SetSystemPowerState, N, <.fSuspend, .fForce>,  'SetSystemPowerState',  \
    SetSystemTime, N, <.lpSystemTime>,  'SetSystemTime',  \
    SetSystemTimeAdjustment, N, <.dwTimeAdjustment, .bTimeAdjustmentDisabled>,  'SetSystemTimeAdjustment',  \
    SetTapeParameters, N, <.hDevice, .dwOperation, .lpTapeInformation>,  'SetTapeParameters',  \
    SetTapePosition, N, <.hDevice, .dwPositionMethod, .dwPartition, .dwOffsetLow, .dwOffsetHigh, .bimmediate>,  'SetTapePosition',  \
    SetTermsrvAppInstallMode, N, <NONE>,  'SetTermsrvAppInstallMode',  \
    SetThreadAffinityMask, N, <.hThread, .dwThreadAffinityMask>,  'SetThreadAffinityMask',  \
    SetThreadContext, N, <.hThread, .lpContext>,  'SetThreadContext',  \
    SetThreadExecutionState, N, <.esFlags>,  'SetThreadExecutionState',  \
    SetThreadIdealProcessor, N, <.hThread, .dwIdealProcessor>,  'SetThreadIdealProcessor',  \
    SetThreadLocale, N, <.Locale>,  'SetThreadLocale',  \
    SetThreadPriority, N, <.hThread, .nPriority>,  'SetThreadPriority',  \
    SetThreadPriorityBoost, N, <.hThread, .bDisablePriorityBoost>,  'SetThreadPriorityBoost',  \
    SetThreadUILanguage, N, <NONE>,  'SetThreadUILanguage',  \
    SetTimeZoneInformation, N, <.lpTimeZoneInformation>,  'SetTimeZoneInformation',  \
    SetTimerQueueTimer, N, <.TimerQueue, .Callback, .Parameter, .DueTime, .Period, .PreferIo>,  'SetTimerQueueTimer',  \
    SetUnhandledExceptionFilter, N, <.lpTopLevelExceptionFilter>,  'SetUnhandledExceptionFilter',  \
    SetUserGeoID, N, <NONE>,  'SetUserGeoID',  \
    SetVDMCurrentDirectories, N, <NONE>,  'SetVDMCurrentDirectories',  \
    SetVolumeLabel, A, <.lpRootPathName, .lpVolumeName>,  'SetVolumeLabelA',  \
    SetVolumeLabel, W, <.lpRootPathName, .lpVolumeName>,  'SetVolumeLabelW',  \
    SetVolumeMountPoint, A, <.lpszVolumeMountPoint, .lpszVolumeName>,  'SetVolumeMountPointA',  \
    SetVolumeMountPoint, W, <.lpszVolumeMountPoint, .lpszVolumeName>,  'SetVolumeMountPointW',  \
    SetWaitableTimer, N, <.hTimer, .lpDueTime, .lPeriod, .pfnCompletionRoutine, .lpArgToCompletionRoutine, .fResume>,  'SetWaitableTimer',  \
    SetupComm, N, <.hFile, .dwInQueue, .dwOutQueue>,  'SetupComm',  \
    ShowConsoleCursor, N, <NONE>,  'ShowConsoleCursor',  \
    SignalObjectAndWait, N, <.hObjectToSignal, .hObjectToWaitOn, .dwMilliseconds, .bAlertable>,  'SignalObjectAndWait',  \
    SizeofResource, N, <.hInstance, .hResInfo>,  'SizeofResource',  \
    Sleep, N, <.dwMilliseconds>,  'Sleep',  \
    SleepEx, N, <.dwMilliseconds, .bAlertable>,  'SleepEx',  \
    SuspendThread, N, <.hThread>,  'SuspendThread',  \
    SwitchToFiber, N, <.lpFiber>,  'SwitchToFiber',  \
    SwitchToThread, N, <VOID>,  'SwitchToThread',  \
    SystemTimeToFileTime, N, <.lpSystemTime, .lpFileTime>,  'SystemTimeToFileTime',  \
    SystemTimeToTzSpecificLocalTime, N, <.lpTimeZoneInformation, .lpUniversalTime, .lpLocalTime>,  'SystemTimeToTzSpecificLocalTime',  \
    TerminateJobObject, N, <.hJob, .uExitCode>,  'TerminateJobObject',  \
    TerminateProcess, N, <.hProcess, .uExitCode>,  'TerminateProcess',  \
    TerminateThread, N, <.hThread, .dwExitCode>,  'TerminateThread',  \
    TermsrvAppInstallMode, N, <NONE>,  'TermsrvAppInstallMode',  \
    Thread32First, N, <.hSnapshot, .lpte>,  'Thread32First',  \
    Thread32Next, N, <.hSnapshot, .lpte>,  'Thread32Next',  \
    TlsAlloc, N, <VOID>,  'TlsAlloc',  \
    TlsFree, N, <.dwTlsIndex>,  'TlsFree',  \
    TlsGetValue, N, <.dwTlsIndex>,  'TlsGetValue',  \
    TlsSetValue, N, <.dwTlsIndex, .lpTlsValue>,  'TlsSetValue',  \
    Toolhelp32ReadProcessMemory, N, <.th32ProcessID, .lpBaseAddress, .lpBuffer, .cbRead, .lpNumberOfBytesRead>,  'Toolhelp32ReadProcessMemory',  \
    TransactNamedPipe, N, <.hNamedPipe, .lpInBuffer, .nInBufferSize, .lpOutBuffer, .nOutBufferSize, .lpBytesRead, .lpOverlapped>,  'TransactNamedPipe',  \
    TransmitCommChar, N, <.nCid, .cChar>,  'TransmitCommChar',  \
    TrimVirtualBuffer, N, <NONE>,  'TrimVirtualBuffer',  \
    TryEnterCriticalSection, N, <.lpCriticalSection>,  'TryEnterCriticalSection',  \
    TzSpecificLocalTimeToSystemTime, N, <NONE>,  'TzSpecificLocalTimeToSystemTime',  \
    UTRegister, N, <NONE>,  'UTRegister',  \
    UTUnRegister, N, <NONE>,  'UTUnRegister',  \
    UnhandledExceptionFilter, N, <.ExceptionInfo>,  'UnhandledExceptionFilter',  \
    UnlockFile, N, <.hFile, .dwFileOffsetLow, .dwFileOffsetHigh, .nNumberOfBytesToUnlockLow, .nNumberOfBytesToUnlockHigh>,  'UnlockFile',  \
    UnlockFileEx, N, <.hFile, .dwReserved, .nNumberOfBytesToUnlockLow, .nNumberOfBytesToUnlockHigh, .lpOverlapped>,  'UnlockFileEx',  \
    UnmapViewOfFile, N, <.lpBaseAddress>,  'UnmapViewOfFile',  \
    UnregisterConsoleIME, N, <NONE>,  'UnregisterConsoleIME',  \
    UnregisterWait, N, <.WaitHandle>,  'UnregisterWait',  \
    UnregisterWaitEx, N, <.WaitHandle, .CompletionEvent>,  'UnregisterWaitEx',  \
    UpdateResource, A, <.hUpdate, .lpType, .lpName, .wLanguage, .lpData, .cbData>,  'UpdateResourceA',  \
    UpdateResource, W, <.hUpdate, .lpType, .lpName, .wLanguage, .lpData, .cbData>,  'UpdateResourceW',  \
    VDMConsoleOperation, N, <NONE>,  'VDMConsoleOperation',  \
    VDMOperationStarted, N, <NONE>,  'VDMOperationStarted',  \
    ValidateLCType, N, <NONE>,  'ValidateLCType',  \
    ValidateLocale, N, <NONE>,  'ValidateLocale',  \
    VerLanguageName, A, <.wLang, .szLang, .nSize>,  'VerLanguageNameA',  \
    VerLanguageName, W, <.wLang, .szLang, .nSize>,  'VerLanguageNameW',  \
    VerSetConditionMask, N, <.ConditionMask, .TypeMask, .Condition>,  'VerSetConditionMask',  \
    VerifyConsoleIoHandle, N, <NONE>,  'VerifyConsoleIoHandle',  \
    VerifyVersionInfo, A, <.lpVersionInformation, .dwTypeMask, .dwlConditionMask>,  'VerifyVersionInfoA',  \
    VerifyVersionInfo, W, <.lpVersionInformation, .dwTypeMask, .dwlConditionMask>,  'VerifyVersionInfoW',  \
    VirtualAlloc, N, <.lpAddress, .dwSize, .flAllocationType, .flProtect>,  'VirtualAlloc',  \
    VirtualAllocEx, N, <.hProcess, .lpAddress, .dwSize, .flAllocationType, .flProtect>,  'VirtualAllocEx',  \
    VirtualBufferExceptionHandler, N, <NONE>,  'VirtualBufferExceptionHandler',  \
    VirtualFree, N, <.lpAddress, .dwSize, .dwFreeType>,  'VirtualFree',  \
    VirtualFreeEx, N, <.hProcess, .lpAddress, .dwSize, .dwFreeType>,  'VirtualFreeEx',  \
    VirtualLock, N, <.lpAddress, .dwSize>,  'VirtualLock',  \
    VirtualProtect, N, <.lpAddress, .dwSize, .flNewProtect, .lpflOldProtect>,  'VirtualProtect',  \
    VirtualProtectEx, N, <.hProcess, .lpAddress, .dwSize, .flNewProtect, .lpflOldProtect>,  'VirtualProtectEx',  \
    VirtualQuery, N, <.lpAddress, .lpBuffer, .dwLength>,  'VirtualQuery',  \
    VirtualQueryEx, N, <.hProcess, .lpAddress, .lpBuffer, .dwLength>,  'VirtualQueryEx',  \
    VirtualUnlock, N, <.lpAddress, .dwSize>,  'VirtualUnlock',  \
    WTSGetActiveConsoleSessionId, N, <NONE>,  'WTSGetActiveConsoleSessionId',  \
    WaitCommEvent, N, <.hFile, .lpEvtMask, .lpOverlapped>,  'WaitCommEvent',  \
    WaitForDebugEvent, N, <.lpDebugEvent, .dwMilliseconds>,  'WaitForDebugEvent',  \
    WaitForMultipleObjects, N, <.nCount, .lpHandles, .bWaitAll, .dwMilliseconds>,  'WaitForMultipleObjects',  \
    WaitForMultipleObjectsEx, N, <.nCount, .lpHandles, .bWaitAll, .dwMilliseconds, .bAlertable>,  'WaitForMultipleObjectsEx',  \
    WaitForSingleObject, N, <.hHandle, .dwMilliseconds>,  'WaitForSingleObject',  \
    WaitForSingleObjectEx, N, <.hHandle, .dwMilliseconds, .bAlertable>,  'WaitForSingleObjectEx',  \
    WaitNamedPipe, A, <.lpNamedPipeName, .nTimeOut>,  'WaitNamedPipeA',  \
    WaitNamedPipe, W, <.lpNamedPipeName, .nTimeOut>,  'WaitNamedPipeW',  \
    WideCharToMultiByte, N, <.CodePage, .dwFlags, .lpWideCharStr, .cchWideChar, .lpMultiByteStr, .cchMultiByte, .lpDefaultChar, .lpUsedDefaultChar>,  'WideCharToMultiByte',  \
    WinExec, N, <.lpCmdLine, .nCmdShow>,  'WinExec',  \
    WriteConsole, A, <.hConsoleOutput, .lpBuffer, .nNumberOfCharsToWrite, .lpNumberOfCharsWritten, .lpReserved>,  'WriteConsoleA',  \
    WriteConsoleInput, A, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsWritten>,  'WriteConsoleInputA',  \
    WriteConsoleInputVDM, A, <NONE>,  'WriteConsoleInputVDMA',  \
    WriteConsoleInputVDM, W, <NONE>,  'WriteConsoleInputVDMW',  \
    WriteConsoleInput, W, <.hConsoleInput, .lpBuffer, .nLength, .lpNumberOfEventsWritten>,  'WriteConsoleInputW',  \
    WriteConsoleOutput, A, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpWriteRegion>,  'WriteConsoleOutputA',  \
    WriteConsoleOutputAttribute, N, <.hConsoleOutput, .lpAttribute, .nLength, .dwWriteCoord, .lpNumberOfAttrsWritten>,  'WriteConsoleOutputAttribute',  \
    WriteConsoleOutputCharacter, A, <.hConsoleOutput, .lpCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'WriteConsoleOutputCharacterA',  \
    WriteConsoleOutputCharacter, W, <.hConsoleOutput, .lpCharacter, .nLength, .dwWriteCoord, .lpNumberOfCharsWritten>,  'WriteConsoleOutputCharacterW',  \
    WriteConsoleOutput, W, <.hConsoleOutput, .lpBuffer, .dwBufferSize, .dwBufferCoord, .lpWriteRegion>,  'WriteConsoleOutputW',  \
    WriteConsole, W, <.hConsoleOutput, .lpBuffer, .nNumberOfCharsToWrite, .lpNumberOfCharsWritten, .lpReserved>,  'WriteConsoleW',  \
    WriteFile, N, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpNumberOfBytesWritten, .lpOverlapped>,  'WriteFile',  \
    WriteFileEx, N, <.hFile, .lpBuffer, .nNumberOfBytesToWrite, .lpOverlapped, .lpCompletionRoutine>,  'WriteFileEx',  \
    WriteFileGather, N, <.hFile, .aSegmentArray, .nNumberOfBytesToWrite, .lpReserved, .lpOverlapped>,  'WriteFileGather',  \
    WritePrivateProfileSection, A, <.lpAppName, .lpString, .lpFileName>,  'WritePrivateProfileSectionA',  \
    WritePrivateProfileSection, W, <.lpAppName, .lpString, .lpFileName>,  'WritePrivateProfileSectionW',  \
    WritePrivateProfileString, A, <.lpApplicationName, .lpKeyName, .lpString, .lpFileName>,  'WritePrivateProfileStringA',  \
    WritePrivateProfileString, W, <.lpApplicationName, .lpKeyName, .lpString, .lpFileName>,  'WritePrivateProfileStringW',  \
    WritePrivateProfileStruct, A, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'WritePrivateProfileStructA',  \
    WritePrivateProfileStruct, W, <.lpszSection, .lpszKey, .lpStruct, .uSizeStruct, .szFile>,  'WritePrivateProfileStructW',  \
    WriteProcessMemory, N, <.hProcess, .lpBaseAddress, .lpBuffer, .nSize, .lpNumberOfBytesWritten>,  'WriteProcessMemory',  \
    WriteProfileSection, A, <.lpAppName, .lpString>,  'WriteProfileSectionA',  \
    WriteProfileSection, W, <.lpAppName, .lpString>,  'WriteProfileSectionW',  \
    WriteProfileString, A, <.lpszSection, .lpszKeyName, .lpszString>,  'WriteProfileStringA',  \
    WriteProfileString, W, <.lpszSection, .lpszKeyName, .lpszString>,  'WriteProfileStringW',  \
    WriteTapemark, N, <.hDevice, .dwTapemarkType, .dwTapemarkCount, .bimmediate>,  'WriteTapemark',  \
    ZombifyActCtx, N, <NONE>,  'ZombifyActCtx',  \
    _hread, N, <NONE>,  '_hread',  \
    _hwrite, N, <NONE>,  '_hwrite',  \
    _lclose, N, <NONE>,  '_lclose',  \
    _lcreat, N, <NONE>,  '_lcreat',  \
    _llseek, N, <NONE>,  '_llseek',  \
    _lopen, N, <NONE>,  '_lopen',  \
    _lread, N, <NONE>,  '_lread',  \
    _lwrite, N, <NONE>,  '_lwrite',  \
    lstrcat, A, <.lpString1, .lpString2>,  'lstrcatA',  \
    lstrcat, W, <.lpString1, .lpString2>,  'lstrcatW',  \
    lstrcmp, A, <.lpString1, .lpString2>,  'lstrcmpA',  \
    lstrcmp, W, <.lpString1, .lpString2>,  'lstrcmpW',  \
    lstrcmpi, A, <.lpString1, .lpString2>,  'lstrcmpiA',  \
    lstrcmpi, W, <.lpString1, .lpString2>,  'lstrcmpiW',  \
    lstrcpy, A, <.lpString1, .lpString2>,  'lstrcpyA',  \
    lstrcpy, W, <.lpString1, .lpString2>,  'lstrcpyW',  \
    lstrcpyn, A, <.lpString1, .lpString2, .iMaxLength>,  'lstrcpynA',  \
    lstrcpyn, W, <.lpString1, .lpString2, .iMaxLength>,  'lstrcpynW',  \
    lstrlen, A, <.lpString>,  'lstrlenA',  \
    lstrlen, W, <.lpString>,  'lstrlenW'
