; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: wsock32.dll API calls
;
;  Target OS: Win32
;
;  Dependencies:
;
;  Notes:
;_________________________________________________________________________________________


import_proto wsock32,  \
    AcceptEx, N, <.sListenSocket, .sAcceptSocket, .lpOutputBuffer, .dwReceiveDataLength, .dwLocalAddressLength, .dwRemoteAddressLength, .lpdwBytesReceived, .lpOverlapped>,  'AcceptEx',  \
    EnumProtocols, A, <.lpiProtocols, .lpProtocolBuffer, .lpdwBufferLength>,  'EnumProtocolsA',  \
    EnumProtocols, W, <.lpiProtocols, .lpProtocolBuffer, .lpdwBufferLength>,  'EnumProtocolsW',  \
    GetAcceptExSockaddrs, N, <.lpOutputBuffer, .dwReceiveDataLength, .dwLocalAddressLength, .dwRemoteAddressLength, .LocalSockaddr, .LocalSockaddrLength, .RemoteSockaddr, .RemoteSockaddrLength>,  'GetAcceptExSockaddrs',  \
    GetAddressByName, A, <.dwNameSpace, .lpServiceType, .lpServiceName, .lpiProtocols, .dwResolution, .lpServiceAs, .lpCsaddrBuffer, .lpdwBufferLength, .lpAliasBuffer, .lpdwAliasBufferLength>,  'GetAddressByNameA',  \
    GetAddressByName, W, <.dwNameSpace, .lpServiceType, .lpServiceName, .lpiProtocols, .dwResolution, .lpServiceAs, .lpCsaddrBuffer, .lpdwBufferLength, .lpAliasBuffer, .lpdwAliasBufferLength>,  'GetAddressByNameW',  \
    GetNameByType, A, <.lpServiceType, .lpServiceName, .dwNameLength>,  'GetNameByTypeA',  \
    GetNameByType, W, <.lpServiceType, .lpServiceName, .dwNameLength>,  'GetNameByTypeW',  \
    GetService, A, <.dwNameSpace, .lpGuid, .lpServiceName, .dwProperties, .lpBuffer, .lpdwBufferSize, .lpServiceAs>,  'GetServiceA',  \
    GetService, W, <.dwNameSpace, .lpGuid, .lpServiceName, .dwProperties, .lpBuffer, .lpdwBufferSize, .lpServiceAs>,  'GetServiceW',  \
    GetTypeByName, A, <.lpServiceName, .lpServiceType>,  'GetTypeByNameA',  \
    GetTypeByName, W, <.lpServiceName, .lpServiceType>,  'GetTypeByNameW',  \
    MigrateWinsockConfiguration, N, <NONE>,  'MigrateWinsockConfiguration',  \
    NPLoadNameSpaces, N, <NONE>,  'NPLoadNameSpaces',  \
    SetService, A, <.dwNameSpace, .dwOperation, .dwFlags, .lpServiceInfo, .lpServiceAsyncInfo, .lpdwStatusFlags>,  'SetServiceA',  \
    SetService, W, <.dwNameSpace, .dwOperation, .dwFlags, .lpServiceInfo, .lpServiceAsyncInfo, .lpdwStatusFlags>,  'SetServiceW',  \
    TransmitFile, N, <.hSocket, .hFile, .nNumberOfBytesToWrite, .nNumberOfBytesPerSend, .lpOverlapped, .lpTransmitBuffers, .dwReserved>,  'TransmitFile',  \
    WEP, N, <NONE>,  'WEP',  \
    WSAAsyncGetHostByAddr, N, <.hWnd, .wMsg, .addr, .lLen, .lType, .buf, .buflen>,  'WSAAsyncGetHostByAddr',  \
    WSAAsyncGetHostByName, N, <.hWnd, .wMsg, .name, .buf, .buflen>,  'WSAAsyncGetHostByName',  \
    WSAAsyncGetProtoByName, N, <.hWnd, .wMsg, .name, .buf, .buflen>,  'WSAAsyncGetProtoByName',  \
    WSAAsyncGetProtoByNumber, N, <.hWnd, .wMsg, .number, .buf, .buflen>,  'WSAAsyncGetProtoByNumber',  \
    WSAAsyncGetServByName, N, <.hWnd, .wMsg, .name, .proto, .buf, .buflen>,  'WSAAsyncGetServByName',  \
    WSAAsyncGetServByPort, N, <.hWnd, .wMsg, .port, .proto, .buf, .buflen>,  'WSAAsyncGetServByPort',  \
    WSAAsyncSelect, N, <.s, .hWnd, .wMsg, .lEvent>,  'WSAAsyncSelect',  \
    WSACancelAsyncRequest, N, <.hAsyncTaskHandle>,  'WSACancelAsyncRequest',  \
    WSACancelBlockingCall, N, <VOID>,  'WSACancelBlockingCall',  \
    WSACleanup, N, <VOID>,  'WSACleanup',  \
    WSAGetLastError, N, <VOID>,  'WSAGetLastError',  \
    WSAIsBlocking, N, <VOID>,  'WSAIsBlocking',  \
    WSARecvEx, N, <.s, .buf, .lLen, .flags>,  'WSARecvEx',  \
    WSASetBlockingHook, N, <.lpBlockFunc>,  'WSASetBlockingHook',  \
    WSASetLastError, N, <.iError>,  'WSASetLastError',  \
    WSAStartup, N, <.wVersionRequired, .lpWSAData>,  'WSAStartup',  \
    WSAUnhookBlockingHook, N, <VOID>,  'WSAUnhookBlockingHook',  \
    WSApSetPostRoutine, N, <NONE>,  'WSApSetPostRoutine',  \
    __WSAFDIsSet, N, <NONE>,  '__WSAFDIsSet',  \
    accept, N, <.s, .addr, .addrlen>,  'accept',  \
    bind, N, <.s, .addr, .namelen>,  'bind',  \
    closesocket, N, <.s>,  'closesocket',  \
    connect, N, <.s, .name, .namelen>,  'connect',  \
    dn_expand, N, <NONE>,  'dn_expand',  \
    gethostbyaddr, N, <.addr, .len, .type>,  'gethostbyaddr',  \
    gethostbyname, N, <.name>,  'gethostbyname',  \
    gethostname, N, <.name, .namelen>,  'gethostname',  \
    getnetbyname, N, <NONE>,  'getnetbyname',  \
    getpeername, N, <.s, .name, .namelen>,  'getpeername',  \
    getprotobyname, N, <.name>,  'getprotobyname',  \
    getprotobynumber, N, <.number>,  'getprotobynumber',  \
    getservbyname, N, <.name, .proto>,  'getservbyname',  \
    getservbyport, N, <.port, .proto>,  'getservbyport',  \
    getsockname, N, <.s, .name, .namelen>,  'getsockname',  \
    getsockopt, N, <.s, .level, .optname, .optval, .optlen>,  'getsockopt',  \
    htonl, N, <.hostlong>,  'htonl',  \
    htons, N, <.hostshort>,  'htons',  \
    inet_addr, N, <.cp>,  'inet_addr',  \
    inet_network, N, <NONE>,  'inet_network',  \
    inet_ntoa, N, <.lIn>,  'inet_ntoa',  \
    ioctlsocket, N, <.s, .cmd, .argp>,  'ioctlsocket',  \
    listen, N, <.s, .backlog>,  'listen',  \
    ntohl, N, <.netlong>,  'ntohl',  \
    ntohs, N, <.netshort>,  'ntohs',  \
    rcmd, N, <NONE>,  'rcmd',  \
    recv, N, <.s, .buf, .lLen, .flags>,  'recv',  \
    recvfrom, N, <.s, .buf, .lLen, .flags, .from, .fromlen>,  'recvfrom',  \
    rexec, N, <NONE>,  'rexec',  \
    rresvport, N, <NONE>,  'rresvport',  \
    s_perror, N, <NONE>,  's_perror',  \
    select, N, <NONE>,  'select',  \
    send, N, <.s, .buf, .lLen, .flags>,  'send',  \
    sendto, N, <.s, .buf, .lLen, .flags, .to, .tolen>,  'sendto',  \
    sethostname, N, <NONE>,  'sethostname',  \
    setsockopt, N, <.s, .level, .optname, .optval, .optlen>,  'setsockopt',  \
    shutdown, N, <.s, .how>,  'shutdown',  \
    socket, N, <.af, .lType, .protocol>,  'socket'
