; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "Fresh artistic license."         |
;|_______________________________________________________________________________________|
;
;  Description: The main file of FreshLib test application. Main file.
;
;  Target OS: Any
;
;  Dependencies: FreshLib - see includes in the source.
;
;  Notes: This is the main file of the project. It forms the common frame of the GUI
;         program. The real test code is separated in several different files,
;         named TestGround(xxxx).asm where (xxxx) is some suffix.
;         Include only one of these files.
;_________________________________________________________________________________________

include '%lib%/freshlib.inc'
_BinaryType GUI

include '%lib%/freshlib.asm'

options.FastEnter         = 0           ; enter/leave or push ebp/pop ebp approach to the procedures.
options.ShowSkipped       = 0           ; shows the procedures skiped because of no use.
options.ShowSizes         = 1           ; enable/disable work of DispSize macro.
options.DebugMode         = 0           ; enable/disable macroses of simpledebug library.


; use one and only one of the following files.
;
;include 'TestGround.asm'
;include 'TestGroundComplex.asm'
;include 'TestGroundKeyboard.asm'
;include 'TestGroundFreshEdit.asm'
include 'TestGroundConfig.asm'
;include 'TestGroundDirFunctions.asm'

;if TargetOS eq Linux
;  rb 604       ; this bytes simply make ELF file to be loadable.
;              ; there is a bug somewhere in the ELF generator (FASM or possibly ELF macros)
;              ; that makes some sizes of the ELF executable not loadable. (the Linux loader crashes with SEGFAULT)
;end if



; Main Program
start:

DebugMsg 'Before initializing.'

        InitializeAll

DebugMsg 'After initializing.'

        stdcall Create, CApplication
        jc      .start_error
        mov     [pApplication], ebx

        stdcall PrepareDemo

DebugMsg 'Just before run.'

        stdcall Run

.terminate:
        push    eax
        FinalizeAll

        DebugMsg 'Just before the end.'
        stdcall Terminate       ; from the stack

.start_error:
        mov     eax, 1
        DebugMsg "Can't create application object."
        jmp      .terminate

; end of main program

_AllDataSection

_AllImportSection


